/* -*- Mode: C++ -*-
 * $Id: SkillWithDirectionAndCommand.cc,v 1.1 2004/08/26 17:09:39 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: SkillWithDirectionAndCommand.cc
 * Unitname: Framework
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2004-08-26
 * Last modified by $Author: frehe $ $Date: 2004/08/26 17:09:39 $
 *
 *
 * HISTORY
 *
 * $Log: SkillWithDirectionAndCommand.cc,v $
 * Revision 1.1  2004/08/26 17:09:39  frehe
 * Added SkillWithDirectionAndCommand.
 *
 */

/**
 * @file SkillWithDirectionAndCommand.cc
 * Implementation file for the class SkillWithDirectionAndCommand.
 *
 * @par Unit:
 *      Framework
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2004/08/26 17:09:39 $
 */


#include "SkillWithDirectionAndCommand.h"


RS_BEGIN_NAMESPACE


// --- CONSTRUCTORS ---

SkillWithDirectionAndCommand::SkillWithDirectionAndCommand(const AngleDeg& dir,
							   ServerCommand* cmd)
  : SkillWithDirection(dir),
    command((cmd==0)?0:cmd->clone())
{
}


// --- DESTRUCTOR ---

SkillWithDirectionAndCommand::~SkillWithDirectionAndCommand()
{
  delete command;
}


RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "SkillWithDirectionAndCommand.icc"
#endif
