/* -*- Mode: C++ -*-
 * $Id: SkillWithPositionAndCommand.cc,v 1.1 2003/09/02 17:57:15 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: SkillWithPositionAndCommand.cc
 * Unitname: Framework
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2003-09-02
 * Last modified by $Author: frehe $ $Date: 2003/09/02 17:57:15 $
 *
 *
 * HISTORY
 *
 * $Log: SkillWithPositionAndCommand.cc,v $
 * Revision 1.1  2003/09/02 17:57:15  frehe
 * Added SkillWithCommand and SkillWithPositionAndCommand.
 *
 */

/**
 * @file SkillWithPositionAndCommand.cc
 * Implementation file for the class SkillWithPositionAndCommand.
 *
 * @par Unit:
 *      Framework
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2003/09/02 17:57:15 $
 */


#include "SkillWithPositionAndCommand.h"


RS_BEGIN_NAMESPACE


// --- CONSTRUCTORS ---

SkillWithPositionAndCommand::SkillWithPositionAndCommand(const Point& pos,
							 ServerCommand* cmd)
  : SkillWithPosition(pos),
    command((cmd==0)?0:cmd->clone())
{
}


// --- DESTRUCTOR ---

SkillWithPositionAndCommand::~SkillWithPositionAndCommand()
{
  delete command;
}


RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "SkillWithPositionAndCommand.icc"
#endif
