/* -*- Mode: C++ -*-
 * $Id: Strategy.cc,v 1.1 2002/08/02 21:57:39 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: Strategy.cc
 * Unitname: Framework
 * $Revision: 1.1 $
 * Created by: David Rosn 2002-07-16
 * Last modified by $Author: s02davro $ $Date: 2002/08/02 21:57:39 $
 *
 *
 * HISTORY
 *
 * $Log: Strategy.cc,v $
 * Revision 1.1  2002/08/02 21:57:39  s02davro
 * Abstract base class for all worldModel updating strategies.
 *
 */

/**
 * @file Strategy.cc
 * Implementation file for the class Strategy.
 *
 * @par Unit:
 *      Framework
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2002/08/02 21:57:39 $
 */

#include "WorldModelInterface.h"
#include "Strategy.h"

RS_BEGIN_NAMESPACE

Strategy::Strategy() 
  : wmi(WorldModelInterface::nonConstInstance()),
    facts(wmi->getWorldFacts()) {
}

Strategy::~Strategy() { 
}

RS_END_NAMESPACE
