/* -*- Mode: C++ -*-
 * $Id: BasicCoachInformationStrategy.h,v 1.2 2002/12/07 18:02:25 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: BasicCoachInformationStrategy.h
 * Unitname: Framework/strategy
 * $Revision: 1.2 $
 * Created by: David Rosn 2002-07-01
 * Last modified by $Author: s02davro $ $Date: 2002/12/07 18:02:25 $
 *
 *
 * HISTORY
 *
 * $Log: BasicCoachInformationStrategy.h,v $
 * Revision 1.2  2002/12/07 18:02:25  s02davro
 * Player bug in CoachInfo
 *
 * Revision 1.1  2002/08/31 16:16:17  s02davro
 * Added a strategy for CoachInformation
 *
 * Revision 1.1  2002/08/02 22:00:51  s02davro
 * Created the Basic classes, needs improvements.
 *
 */

/**
 * @file BasicCoachInformationStrategy.h
 * Include file for the class BasicCoachInformationStrategy.
 *
 * @par Unit:
 *      Framework/view
 * $Revision: 1.2 $
 * $Author: s02davro $
 * $Date: 2002/12/07 18:02:25 $
 */


#ifndef BASICCOACHINFORMATIONSTRATEGY_H
#define BASICCOACHINFORMATIONSTRATEGY_H

#include "basic_system_types.h"
#include "CoachInformationStrategy.h"

RS_BEGIN_NAMESPACE

/**
 * @class BasicCoachInformationStrategy BasicCoachInformationStrategy.h
 *
 * @par Unit:
 *      Framework/strategy
 * $Revision: 1.2 $
 * $Author: s02davro $
 * $Date: 2002/12/07 18:02:25 $
 */

class BasicCoachInformationStrategy : public CoachInformationStrategy {
public:
  BasicCoachInformationStrategy();
  virtual ~BasicCoachInformationStrategy();
  void updateAfterCoachInformation();
  void handleClosestPlayers();
};

RS_END_NAMESPACE

#endif // !BASICCOACHINFORMATIONSTRATEGY_H
