/* -*- Mode: C++ -*-
 * $Id: BasicCoachMessageStrategy.cc,v 1.3 2004/09/01 15:50:41 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: BasicCoachMessageStrategy.cc
 * Unitname: Framework/strategy
 * $Revision: 1.3 $
 * Created by: David Rosn 2002-07-01
 * Last modified by $Author: frehe $ $Date: 2004/09/01 15:50:41 $
 *
 *
 * HISTORY
 *
 * $Log: BasicCoachMessageStrategy.cc,v $
 * Revision 1.3  2004/09/01 15:50:41  frehe
 * Implemented the basic coach strategy to actual store the coach message.
 *
 * Revision 1.2  2002/08/31 15:35:23  s02davro
 * Updated the strategies and the interface
 *
 * Revision 1.1  2002/08/02 22:00:51  s02davro
 * Created the Basic classes, needs improvements.
 *
 */

/**
 * @file BasicCoachMessageStrategy.cc
 * Implementation file for the class BasicCoachMessageStrategy.
 *
 * @par Unit:
 *      Framework/strategy
 * $Revision: 1.3 $
 * $Author: frehe $
 * $Date: 2004/09/01 15:50:41 $
 */


#include "BasicCoachMessageStrategy.h"
#include "WorldModelInterface.h"
#include "rs_error.h"


RS_BEGIN_NAMESPACE


BasicCoachMessageStrategy::BasicCoachMessageStrategy()
{
}


BasicCoachMessageStrategy::~BasicCoachMessageStrategy()
{
}


void
BasicCoachMessageStrategy::updateAfterCoachMessage()
{
  observation = &wmi->getObservation();

  RS_LOG ( LA_STRATEGY, "BasicCoachMessageStrategy: got "
	   << observation->coachMessage );

  // Update the agent
  wmi->getWorld().getAgent().setCoachMessage(observation->coachMessage);
}


RS_END_NAMESPACE
