/* -*- Mode: C++ -*-
 * $Id: BasicCommandStrategy.h,v 1.4 2003/10/14 18:06:01 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: BasicCommandStrategy.h
 * Unitname: Framework/strategy
 * $Revision: 1.4 $
 * Created by: David Rosn 2002-07-01
 * Last modified by $Author: s02davro $ $Date: 2003/10/14 18:06:01 $
 *
 *
 * HISTORY
 *
 * $Log: BasicCommandStrategy.h,v $
 * Revision 1.4  2003/10/14 18:06:01  s02davro
 * Small change to updateAfterCommand interface
 *
 * Revision 1.3  2003/09/02 18:00:17  frehe
 * Updated the strategies to the new interface.
 *
 * Revision 1.2  2002/08/31 15:35:24  s02davro
 * Updated the strategies and the interface
 *
 * Revision 1.1  2002/08/02 22:00:51  s02davro
 * Created the Basic classes, needs improvements.
 *
 */

/**
 * @file BasicCommandStrategy.h
 * Include file for the class BasicCommandStrategy.
 *
 * @par Unit:
 *      Framework/view
 * $Revision: 1.4 $
 * $Author: s02davro $
 * $Date: 2003/10/14 18:06:01 $
 */


#ifndef BASICCOMMANDSTRATEGY_H
#define BASICCOMMANDSTRATEGY_H

#include "basic_system_types.h"
#include "CommandStrategy.h"

RS_BEGIN_NAMESPACE

/**
 * @class BasicCommandStrategy BasicCommandStrategy.h
 *
 * @par Unit:
 *      Framework/strategy
 * $Revision: 1.4 $
 * $Author: s02davro $
 * $Date: 2003/10/14 18:06:01 $
 */

class BasicCommandStrategy : public CommandStrategy {
public:
  BasicCommandStrategy();
  virtual ~BasicCommandStrategy();
  void updateAfterCommand(WorldModel& world, ServerCommand* cmd) const;
};

RS_END_NAMESPACE

#endif // !BASICCOMMANDSTRATEGY_H
