/* -*- Mode: C++ -*-
 * $Id: BasicInitStrategy.cc,v 1.3 2003/07/22 14:48:33 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: BasicInitStrategy.cc
 * Unitname: BasicSystem
 * $Revision: 1.3 $
 * Created by: David Rosn 2002-07-01
 * Last modified by $Author: s02davro $ $Date: 2003/07/22 14:48:33 $
 *
 *
 * HISTORY
 *
 * $Log: BasicInitStrategy.cc,v $
 * Revision 1.3  2003/07/22 14:48:33  s02davro
 * Setting playmode to BEFORE_KICK_OFF
 *
 * Revision 1.2  2002/08/31 15:35:24  s02davro
 * Updated the strategies and the interface
 *
 * Revision 1.1  2002/08/02 22:00:52  s02davro
 * Created the Basic classes, needs improvements.
 *
 */

/**
 * @file BasicInitStrategy.cc
 * Implementation file for the class BasicInitStrategy.
 *
 * @par Unit:
 *      BasicSystem
 * $Revision: 1.3 $
 * $Author: s02davro $
 * $Date: 2003/07/22 14:48:33 $
 */

#include "BasicInitStrategy.h"
#include "WorldModelInterface.h"
#include "rs_error.h"

RS_BEGIN_NAMESPACE

BasicInitStrategy::BasicInitStrategy() {
}

BasicInitStrategy::~BasicInitStrategy() { 
}

void BasicInitStrategy::updateAfterInit() {
  RS_LOG ( LA_STRATEGY, "BasicInitStrategy - start");
  world = &wmi->getWorld();
  AgentObject agent = world->getAgent();
  agent.setGoalie(facts->CP_goalie);
  agent.setUniformNumber(facts->getUniformNumber());
  agent.setSide(facts->getOurSide());  
  BallObject ball = world->getBall();
  ball.setSpeedVector(VectorUE(0,0));
  ball.setPosition(PointUE(0,0));  
  world->setAgent(agent);
  world->setBall(ball);
  world->addPlayMode(PM_BEFORE_KICK_OFF);
  RS_LOG ( LA_STRATEGY, "BasicInitStrategy - end");
}

RS_END_NAMESPACE





