/* -*- Mode: C++ -*-
 * $Id: BasicNewCycleStrategy.h,v 1.5 2003/09/02 18:00:17 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: BasicNewCycleStrategy.h
 * Unitname: Framework/strategy
 * $Revision: 1.5 $
 * Created by: David Rosn 2002-07-01
 * Last modified by $Author: frehe $ $Date: 2003/09/02 18:00:17 $
 *
 *
 * HISTORY
 *
 * $Log: BasicNewCycleStrategy.h,v $
 * Revision 1.5  2003/09/02 18:00:17  frehe
 * Updated the strategies to the new interface.
 *
 * Revision 1.4  2003/08/20 12:32:08  s02davro
 * Handle Arm and Tackle
 *
 * Revision 1.3  2002/09/03 18:04:29  s02davro
 * Speed and NewCycle fix
 *
 * Revision 1.2  2002/08/31 15:35:24  s02davro
 * Updated the strategies and the interface
 *
 * Revision 1.1  2002/08/02 22:00:52  s02davro
 * Created the Basic classes, needs improvements.
 *
 */

/**
 * @file BasicNewCycleStrategy.h
 * Include file for the class BasicNewCycleStrategy.
 *
 * @todo Update things like stamina, effort, recovery. Maybe also kicks, says, turns etc.
 *
 * @par Unit:
 *      Framework/view
 * $Revision: 1.5 $
 * $Author: frehe $
 * $Date: 2003/09/02 18:00:17 $
 */


#ifndef BASICNEWCYCLESTRATEGY_H
#define BASICNEWCYCLESTRATEGY_H

#include "basic_system_types.h"
#include "NewCycleStrategy.h"

RS_BEGIN_NAMESPACE

/**
 * @class BasicNewCycleStrategy BasicNewCycleStrategy.h
 *
 * @par Unit:
 *      Framework/strategy
 * $Revision: 1.5 $
 * $Author: frehe $
 * $Date: 2003/09/02 18:00:17 $
 */

class BasicNewCycleStrategy : public NewCycleStrategy {
public:
  BasicNewCycleStrategy();
  virtual ~BasicNewCycleStrategy();
  void updateBeforeNewCycle(WorldModel& world) const;
};

RS_END_NAMESPACE

#endif // !BASICNEWCYCLESTRATEGY_H
