/* -*- Mode: C++ -*-
 * $Id: BasicSenseStrategy.h,v 1.2 2002/08/31 15:35:25 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: BasicSenseStrategy.h
 * Unitname: Framework/strategy
 * $Revision: 1.2 $
 * Created by: David Rosn 2002-07-01
 * Last modified by $Author: s02davro $ $Date: 2002/08/31 15:35:25 $
 *
 *
 * HISTORY
 *
 * $Log: BasicSenseStrategy.h,v $
 * Revision 1.2  2002/08/31 15:35:25  s02davro
 * Updated the strategies and the interface
 *
 * Revision 1.1  2002/08/02 22:00:53  s02davro
 * Created the Basic classes, needs improvements.
 *
 */

/**
 * @file BasicSenseStrategy.h
 * Include file for the class BasicSenseStrategy.
 *
 * @par Unit:
 *      Framework/view
 * $Revision: 1.2 $
 * $Author: s02davro $
 * $Date: 2002/08/31 15:35:25 $
 */


#ifndef BASICSENSESTRATEGY_H
#define BASICSENSESTRATEGY_H

#include "basic_system_types.h"
#include "SenseStrategy.h"

RS_BEGIN_NAMESPACE

/**
 * @class BasicSenseStrategy BasicSenseStrategy.h
 *
 * @par Unit:
 *      Framework/strategy
 * $Revision: 1.2 $
 * $Author: s02davro $
 * $Date: 2002/08/31 15:35:25 $
 */

class BasicSenseStrategy : public SenseStrategy {
public:
  BasicSenseStrategy();
  virtual ~BasicSenseStrategy();
  void updateAfterSense();
};

RS_END_NAMESPACE

#endif // !BASICSENSESTRATEGY_H
