/* -*- Mode: C++ -*-
 * $Id: NewSeeStrategy.h,v 1.1 2002/09/26 15:24:59 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: NewSeeStrategy.h
 * Unitname: Framework/strategy
 * $Revision: 1.1 $
 * Created by: David Rosn 2002-07-01
 * Last modified by $Author: s02davro $ $Date: 2002/09/26 15:24:59 $
 *
 *
 * HISTORY
 *
 * $Log: NewSeeStrategy.h,v $
 * Revision 1.1  2002/09/26 15:24:59  s02davro
 * Added new see strategy, this use BasicSeeStrategy and handles player matching
 *
 */

/**
 * @file NewSeeStrategy.h
 * Include file for the class NewSeeStrategy.
 *
 * @par Unit:
 *      Framework/view
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2002/09/26 15:24:59 $
 */


#ifndef NEWSEESTRATEGY_H
#define NEWSEESTRATEGY_H

#include "basic_system_types.h"
#include "BasicSeeStrategy.h"

RS_BEGIN_NAMESPACE

/**
 * @class NewSeeStrategy NewSeeStrategy.h
 *
 * @par Unit:
 *      Framework/strategy
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2002/09/26 15:24:59 $
 */

class NewSeeStrategy : public BasicSeeStrategy {
public:
  NewSeeStrategy();
  virtual ~NewSeeStrategy();
  virtual void updateAfterSee();
protected:
  virtual void handlePlayers();
  virtual void mergePlayers(std::vector<PlayerObject>& t,
		    std::vector<PlayerObject>& o,
		    std::vector<PlayerObject>& u);
  virtual void removeGhosts(std::vector<PlayerObject>& p);
  virtual void addPlayers(std::vector<PlayerObject>& p,
		  std::vector<PlayerObject>& r);
  virtual void numberToUnknownMatch(std::vector<PlayerObject>& ou,
			    std::vector<PlayerObject>& t,
			    std::vector<PlayerObject>& o,
			    std::vector<PlayerObject>& u,
			    std::vector<PlayerObject>& rt,
			    std::vector<PlayerObject>& ro,
			    std::vector<PlayerObject>& ru);
  virtual void teamNumberMatch(std::vector<PlayerObject>& op,
		       std::vector<PlayerObject>& p,
		       std::vector<PlayerObject>& rp);
  virtual void unknownToNumberMatch(std::vector<PlayerObject>& op,
			    std::vector<PlayerObject>& p,
			    std::vector<PlayerObject>& u,
			    std::vector<PlayerObject>& rp);  
};

RS_END_NAMESPACE

#endif // !NEWSEESTRATEGY_H
