/* $ANTLR 2.7.4: "trainer.g" -> "TrainerParser.cpp"$ */
#line 12 "trainer.g"

    // gets inserted before the antlr generated includes in the cpp file
#include "OnlyAttackerScoreScenario.h"
#include "AttackerGoalieScoreScenario.h"
#include "AttackerDefenderGoalieScoreScenario.h"
#include "AttackerDefendersDribbleScenario.h"
#include "AttackersDefendersPassScenario.h"
#include "ThreeOnThreeScenario.h"
    
#include <iostream>

#line 15 "TrainerParser.cpp"
#include "TrainerParser.hpp"
#include <antlr/NoViableAltException.hpp>
#include <antlr/SemanticException.hpp>
#include <antlr/ASTFactory.hpp>
#line 24 "trainer.g"

    // gets inserted after the antlr generated includes in the cpp file

#line 24 "TrainerParser.cpp"
ANTLR_BEGIN_NAMESPACE(RS)
#line 41 "trainer.g"

// global stuff in the cpp file

#line 29 "TrainerParser.cpp"
TrainerParser::TrainerParser(antlr::TokenBuffer& tokenBuf, int k)
: antlr::LLkParser(tokenBuf,k)
{
}

TrainerParser::TrainerParser(antlr::TokenBuffer& tokenBuf)
: antlr::LLkParser(tokenBuf,2)
{
}

TrainerParser::TrainerParser(antlr::TokenStream& lexer, int k)
: antlr::LLkParser(lexer,k)
{
}

TrainerParser::TrainerParser(antlr::TokenStream& lexer)
: antlr::LLkParser(lexer,2)
{
}

TrainerParser::TrainerParser(const antlr::ParserSharedInputState& state)
: antlr::LLkParser(state,2)
{
}

TestCase*  TrainerParser::test_case() {
#line 65 "trainer.g"
	TestCase* test_case;
#line 58 "TrainerParser.cpp"
#line 65 "trainer.g"
	
	std::string name;
	int iterations;
	int verbose;
	test_case = 0;
	Scenario* sce = 0;
	
#line 67 "TrainerParser.cpp"
	
	try {      // for error handling
		match(LITERAL_TestCase);
		match(LPAREN);
		name=string();
		match(COMMA);
		iterations=long_();
		match(COMMA);
		verbose=long_();
		match(RPAREN);
#line 77 "trainer.g"
		
		test_case = new TestCase(name, iterations, verbose);
		
#line 82 "TrainerParser.cpp"
		match(LCURLY);
		{ // ( ... )+
		int _cnt3=0;
		for (;;) {
			if ((_tokenSet_0.member(LA(1)))) {
				sce=scenario();
#line 83 "trainer.g"
				
				test_case->add_scenario(sce);
				
#line 93 "TrainerParser.cpp"
			}
			else {
				if ( _cnt3>=1 ) { goto _loop3; } else {throw antlr::NoViableAltException(LT(1), getFilename());}
			}
			
			_cnt3++;
		}
		_loop3:;
		}  // ( ... )+
		match(RCURLY);
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_1);
	}
	return test_case;
}

std::string  TrainerParser::string() {
#line 294 "trainer.g"
	std::string s;
#line 116 "TrainerParser.cpp"
	antlr::RefToken  t = antlr::nullToken;
#line 294 "trainer.g"
	
	s = "";
	
#line 122 "TrainerParser.cpp"
	
	try {      // for error handling
		t = LT(1);
		match(STRING_LITERAL);
#line 299 "trainer.g"
		
		s = std::string(t->getText(), 1, t->getText().size()-2);
		
#line 131 "TrainerParser.cpp"
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_2);
	}
	return s;
}

long  TrainerParser::long_() {
#line 245 "trainer.g"
	long l;
#line 144 "TrainerParser.cpp"
#line 245 "trainer.g"
	
	l = -1;
	bool neg = false;
	
#line 150 "TrainerParser.cpp"
	
	try {      // for error handling
		{
		switch ( LA(1)) {
		case MINUS:
		{
			match(MINUS);
#line 250 "trainer.g"
			neg=true;
#line 160 "TrainerParser.cpp"
			break;
		}
		case NUM_INT:
		{
			break;
		}
		default:
		{
			throw antlr::NoViableAltException(LT(1), getFilename());
		}
		}
		}
		l=pos_long_();
#line 251 "trainer.g"
		if ( neg ) { l *= -1; }
#line 176 "TrainerParser.cpp"
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_3);
	}
	return l;
}

Scenario*  TrainerParser::scenario() {
#line 90 "trainer.g"
	Scenario* s;
#line 189 "TrainerParser.cpp"
	
	try {      // for error handling
		switch ( LA(1)) {
		case LITERAL_OnlyAttackerScore:
		{
			s=only_attacker_score();
			break;
		}
		case LITERAL_AttackerGoalieScore:
		{
			s=attacker_goalie_score();
			break;
		}
		case LITERAL_AttackerDefendersGoalieScore:
		{
			s=attacker_defenders_goalie_score();
			break;
		}
		case LITERAL_AttackerDefendersDribble:
		{
			s=attacker_defenders_dribble();
			break;
		}
		case LITERAL_AttackersDefendersPass:
		{
			s=attackers_defenders_pass();
			break;
		}
		case LITERAL_ThreeOnThree:
		{
			s=three_on_three();
			break;
		}
		default:
		{
			throw antlr::NoViableAltException(LT(1), getFilename());
		}
		}
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_4);
	}
	return s;
}

Scenario*  TrainerParser::only_attacker_score() {
#line 99 "trainer.g"
	Scenario* s;
#line 240 "TrainerParser.cpp"
#line 99 "trainer.g"
	
	int cycles;
	
#line 245 "TrainerParser.cpp"
	
	try {      // for error handling
		match(LITERAL_OnlyAttackerScore);
		match(LPAREN);
		cycles=long_();
		match(RPAREN);
#line 105 "trainer.g"
		
		s = new OnlyAttackerScoreScenario(random_seed_, cycles);
		
#line 256 "TrainerParser.cpp"
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_4);
	}
	return s;
}

Scenario*  TrainerParser::attacker_goalie_score() {
#line 110 "trainer.g"
	Scenario* s;
#line 269 "TrainerParser.cpp"
#line 110 "trainer.g"
	
	int goalie_mode;
	int cycles;
	
#line 275 "TrainerParser.cpp"
	
	try {      // for error handling
		match(LITERAL_AttackerGoalieScore);
		match(LPAREN);
		goalie_mode=long_();
		match(COMMA);
		cycles=long_();
		match(RPAREN);
#line 117 "trainer.g"
		
		s = new AttackerGoalieScoreScenario(random_seed_,
		goalie_mode, cycles);
		
#line 289 "TrainerParser.cpp"
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_4);
	}
	return s;
}

Scenario*  TrainerParser::attacker_defenders_goalie_score() {
#line 123 "trainer.g"
	Scenario* s;
#line 302 "TrainerParser.cpp"
#line 123 "trainer.g"
	
	int goalie_mode;
	std::vector<int> defenders_modes;
	int cycles;
	
#line 309 "TrainerParser.cpp"
	
	try {      // for error handling
		match(LITERAL_AttackerDefendersGoalieScore);
		match(LPAREN);
		goalie_mode=long_();
		match(COMMA);
		match(LANGLE);
		defenders_modes=long_seq();
		match(RANGLE);
		match(COMMA);
		cycles=long_();
		match(RPAREN);
#line 135 "trainer.g"
		
		s = new AttackerDefenderGoalieScoreScenario(random_seed_,
		goalie_mode,
		defenders_modes,
		cycles);
		
#line 329 "TrainerParser.cpp"
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_4);
	}
	return s;
}

Scenario*  TrainerParser::attacker_defenders_dribble() {
#line 143 "trainer.g"
	Scenario* s;
#line 342 "TrainerParser.cpp"
#line 143 "trainer.g"
	
	std::vector<int> defenders_modes;
	int dribble_dist;
	int min_defender_dist;
	int max_defender_dist;
	int max_y_dist;
	int cycles;
	
#line 352 "TrainerParser.cpp"
	
	try {      // for error handling
		match(LITERAL_AttackerDefendersDribble);
		match(LPAREN);
		match(LANGLE);
		defenders_modes=long_seq();
		match(RANGLE);
		match(COMMA);
		dribble_dist=long_();
		match(COMMA);
		min_defender_dist=long_();
		match(COMMA);
		max_defender_dist=long_();
		match(COMMA);
		max_y_dist=long_();
		match(COMMA);
		cycles=long_();
		match(RPAREN);
#line 161 "trainer.g"
		
		s = new AttackerDefendersDribbleScenario(random_seed_,
		defenders_modes,
		dribble_dist,
		min_defender_dist,
		max_defender_dist,
		max_y_dist,
		cycles);
		
#line 381 "TrainerParser.cpp"
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_4);
	}
	return s;
}

Scenario*  TrainerParser::attackers_defenders_pass() {
#line 172 "trainer.g"
	Scenario* s;
#line 394 "TrainerParser.cpp"
#line 172 "trainer.g"
	
	int attackers;
	std::vector<int> defenders_modes;
	int min_pass_dist;
	int max_pass_dist;
	int min_y_dist;
	int max_y_dist;
	int min_defender_dist;
	int max_defender_dist;
	int max_y_diff;
	int cycles;
	
#line 408 "TrainerParser.cpp"
	
	try {      // for error handling
		match(LITERAL_AttackersDefendersPass);
		match(LPAREN);
		attackers=long_();
		match(COMMA);
		match(LANGLE);
		defenders_modes=long_seq();
		match(RANGLE);
		match(COMMA);
		min_pass_dist=long_();
		match(COMMA);
		max_pass_dist=long_();
		match(COMMA);
		min_y_dist=long_();
		match(COMMA);
		max_y_dist=long_();
		match(COMMA);
		min_defender_dist=long_();
		match(COMMA);
		max_defender_dist=long_();
		match(COMMA);
		max_y_diff=long_();
		match(COMMA);
		cycles=long_();
		match(RPAREN);
#line 198 "trainer.g"
		
		s = new AttackersDefendersPassScenario(random_seed_,
		attackers,
		defenders_modes,
		min_pass_dist,
		max_pass_dist,
		min_y_dist,
		max_y_dist,
		min_defender_dist,
		max_defender_dist,
		max_y_diff,
		cycles);
		
#line 449 "TrainerParser.cpp"
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_4);
	}
	return s;
}

Scenario*  TrainerParser::three_on_three() {
#line 213 "trainer.g"
	Scenario* s;
#line 462 "TrainerParser.cpp"
#line 213 "trainer.g"
	
	Point a1,a2,a3;
	Point d1,d2,d3;
	int cycles;
	
#line 469 "TrainerParser.cpp"
	
	try {      // for error handling
		match(LITERAL_ThreeOnThree);
		match(LPAREN);
		a1=point();
		match(COMMA);
		a2=point();
		match(COMMA);
		a3=point();
		match(COMMA);
		d1=point();
		match(COMMA);
		d2=point();
		match(COMMA);
		d3=point();
		match(COMMA);
		cycles=long_();
		match(RPAREN);
#line 225 "trainer.g"
		
		std::vector<Point> attackers;
		attackers.push_back(a1);
		attackers.push_back(a2);
		attackers.push_back(a3);
		std::vector<Point> defenders;
		defenders.push_back(d1);
		defenders.push_back(d2);
		defenders.push_back(d3);
		s = new ThreeOnThreeScenario(random_seed_, attackers, defenders, cycles);
		
#line 500 "TrainerParser.cpp"
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_4);
	}
	return s;
}

std::vector<int>  TrainerParser::long_seq() {
#line 304 "trainer.g"
	std::vector<int> ls;
#line 513 "TrainerParser.cpp"
#line 304 "trainer.g"
	
	int l;
	
#line 518 "TrainerParser.cpp"
	
	try {      // for error handling
		l=long_();
#line 308 "trainer.g"
		ls.push_back(l);
#line 524 "TrainerParser.cpp"
		{ // ( ... )*
		for (;;) {
			if ((LA(1) == COMMA)) {
				match(COMMA);
				l=long_();
#line 310 "trainer.g"
				
				ls.push_back(l);
				
#line 534 "TrainerParser.cpp"
			}
			else {
				goto _loop24;
			}
			
		}
		_loop24:;
		} // ( ... )*
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_5);
	}
	return ls;
}

Point  TrainerParser::point() {
#line 316 "trainer.g"
	Point p;
#line 555 "TrainerParser.cpp"
#line 316 "trainer.g"
	
	double x, y;
	
#line 560 "TrainerParser.cpp"
	
	try {      // for error handling
		match(LPAREN);
		x=double_();
		y=double_();
		match(RPAREN);
#line 320 "trainer.g"
		p = Point(x,y);
#line 569 "TrainerParser.cpp"
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_2);
	}
	return p;
}

long  TrainerParser::pos_long_() {
#line 238 "trainer.g"
	long l;
#line 582 "TrainerParser.cpp"
	antlr::RefToken  t = antlr::nullToken;
#line 238 "trainer.g"
	
	l = -1;
	
#line 588 "TrainerParser.cpp"
	
	try {      // for error handling
		t = LT(1);
		match(NUM_INT);
#line 242 "trainer.g"
		l = atol(t->getText().c_str());
#line 595 "TrainerParser.cpp"
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_6);
	}
	return l;
}

double  TrainerParser::pos_float_() {
#line 254 "trainer.g"
	double d;
#line 608 "TrainerParser.cpp"
	antlr::RefToken  f = antlr::nullToken;
#line 254 "trainer.g"
	
	d = -1;
	
#line 614 "TrainerParser.cpp"
	
	try {      // for error handling
		f = LT(1);
		match(NUM_FLOAT);
#line 258 "trainer.g"
		d = atof(f->getText().c_str());
#line 621 "TrainerParser.cpp"
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_7);
	}
	return d;
}

double  TrainerParser::float_() {
#line 261 "trainer.g"
	double d;
#line 634 "TrainerParser.cpp"
#line 261 "trainer.g"
	
	d = -1;
	bool neg = false;
	
#line 640 "TrainerParser.cpp"
	
	try {      // for error handling
		{
		switch ( LA(1)) {
		case MINUS:
		{
			match(MINUS);
#line 266 "trainer.g"
			neg=true;
#line 650 "TrainerParser.cpp"
			break;
		}
		case NUM_FLOAT:
		{
			break;
		}
		default:
		{
			throw antlr::NoViableAltException(LT(1), getFilename());
		}
		}
		}
		d=pos_float_();
#line 267 "trainer.g"
		if ( neg ) { d *= -1; }
#line 666 "TrainerParser.cpp"
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_1);
	}
	return d;
}

double  TrainerParser::double_() {
#line 270 "trainer.g"
	double d;
#line 679 "TrainerParser.cpp"
#line 270 "trainer.g"
	
	d = -1;
	bool neg = false;
	
#line 685 "TrainerParser.cpp"
	
	try {      // for error handling
		{
		switch ( LA(1)) {
		case MINUS:
		{
			match(MINUS);
#line 275 "trainer.g"
			neg=true;
#line 695 "TrainerParser.cpp"
			break;
		}
		case NUM_INT:
		case NUM_FLOAT:
		{
			break;
		}
		default:
		{
			throw antlr::NoViableAltException(LT(1), getFilename());
		}
		}
		}
		{
		switch ( LA(1)) {
		case NUM_FLOAT:
		{
			d=pos_float_();
			break;
		}
		case NUM_INT:
		{
			d=pos_long_();
			break;
		}
		default:
		{
			throw antlr::NoViableAltException(LT(1), getFilename());
		}
		}
		}
#line 281 "trainer.g"
		
		if ( neg ) { d *= -1; }
		
#line 731 "TrainerParser.cpp"
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_8);
	}
	return d;
}

bool  TrainerParser::bool_() {
#line 286 "trainer.g"
	bool b;
#line 744 "TrainerParser.cpp"
#line 286 "trainer.g"
	
	b = false;
	
#line 749 "TrainerParser.cpp"
	
	try {      // for error handling
		switch ( LA(1)) {
		case LITERAL_true:
		{
			match(LITERAL_true);
#line 290 "trainer.g"
			b = true;
#line 758 "TrainerParser.cpp"
			break;
		}
		case LITERAL_false:
		{
			match(LITERAL_false);
#line 291 "trainer.g"
			b = false;
#line 766 "TrainerParser.cpp"
			break;
		}
		default:
		{
			throw antlr::NoViableAltException(LT(1), getFilename());
		}
		}
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_1);
	}
	return b;
}

std::string  TrainerParser::ident() {
#line 323 "trainer.g"
	std::string n;
#line 786 "TrainerParser.cpp"
	antlr::RefToken  t1 = antlr::nullToken;
#line 323 "trainer.g"
	
	n = "";
	
#line 792 "TrainerParser.cpp"
	
	try {      // for error handling
		t1 = LT(1);
		match(IDENT);
#line 327 "trainer.g"
		n = t1->getText();
#line 799 "TrainerParser.cpp"
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_9);
	}
	return n;
}

std::string  TrainerParser::ident_with_namespaces() {
#line 331 "trainer.g"
	std::string nn;
#line 812 "TrainerParser.cpp"
#line 331 "trainer.g"
	
	std::string n;
	
#line 817 "TrainerParser.cpp"
	
	try {      // for error handling
		n=ident();
#line 336 "trainer.g"
		
		nn = n;
		
#line 825 "TrainerParser.cpp"
		{ // ( ... )*
		for (;;) {
			if ((LA(1) == COLON)) {
				match(COLON);
				match(COLON);
				n=ident();
#line 340 "trainer.g"
				
				nn.append("::");
				nn.append(n);
				
#line 837 "TrainerParser.cpp"
			}
			else {
				goto _loop29;
			}
			
		}
		_loop29:;
		} // ( ... )*
	}
	catch (antlr::RecognitionException& ex) {
		reportError(ex);
		consume();
		consumeUntil(_tokenSet_1);
	}
	return nn;
}

void TrainerParser::initializeASTFactory( antlr::ASTFactory& )
{
}
const char* TrainerParser::tokenNames[] = {
	"<0>",
	"EOF",
	"<2>",
	"NULL_TREE_LOOKAHEAD",
	"\"TestCase\"",
	"LPAREN",
	"COMMA",
	"RPAREN",
	"LCURLY",
	"RCURLY",
	"\"OnlyAttackerScore\"",
	"\"AttackerGoalieScore\"",
	"\"AttackerDefendersGoalieScore\"",
	"LANGLE",
	"RANGLE",
	"\"AttackerDefendersDribble\"",
	"\"AttackersDefendersPass\"",
	"\"ThreeOnThree\"",
	"NUM_INT",
	"MINUS",
	"NUM_FLOAT",
	"\"true\"",
	"\"false\"",
	"STRING_LITERAL",
	"IDENT",
	"COLON",
	"LBRACK",
	"RBRACK",
	"ASSIGN",
	"AT",
	"SLASH",
	"SEMI",
	"WS",
	"SL_COMMENT",
	"ML_COMMENT",
	"CHAR_LITERAL",
	"ESC",
	"HEX_DIGIT",
	"VOCAB",
	"EXPONENT",
	"FLOAT_SUFFIX",
	0
};

const unsigned long TrainerParser::_tokenSet_0_data_[] = { 236544UL, 0UL, 0UL, 0UL };
// "OnlyAttackerScore" "AttackerGoalieScore" "AttackerDefendersGoalieScore" 
// "AttackerDefendersDribble" "AttackersDefendersPass" "ThreeOnThree" 
const antlr::BitSet TrainerParser::_tokenSet_0(_tokenSet_0_data_,4);
const unsigned long TrainerParser::_tokenSet_1_data_[] = { 2UL, 0UL, 0UL, 0UL };
// EOF 
const antlr::BitSet TrainerParser::_tokenSet_1(_tokenSet_1_data_,4);
const unsigned long TrainerParser::_tokenSet_2_data_[] = { 64UL, 0UL, 0UL, 0UL };
// COMMA 
const antlr::BitSet TrainerParser::_tokenSet_2(_tokenSet_2_data_,4);
const unsigned long TrainerParser::_tokenSet_3_data_[] = { 16576UL, 0UL, 0UL, 0UL };
// COMMA RPAREN RANGLE 
const antlr::BitSet TrainerParser::_tokenSet_3(_tokenSet_3_data_,4);
const unsigned long TrainerParser::_tokenSet_4_data_[] = { 237056UL, 0UL, 0UL, 0UL };
// RCURLY "OnlyAttackerScore" "AttackerGoalieScore" "AttackerDefendersGoalieScore" 
// "AttackerDefendersDribble" "AttackersDefendersPass" "ThreeOnThree" 
const antlr::BitSet TrainerParser::_tokenSet_4(_tokenSet_4_data_,4);
const unsigned long TrainerParser::_tokenSet_5_data_[] = { 16384UL, 0UL, 0UL, 0UL };
// RANGLE 
const antlr::BitSet TrainerParser::_tokenSet_5(_tokenSet_5_data_,4);
const unsigned long TrainerParser::_tokenSet_6_data_[] = { 1851584UL, 0UL, 0UL, 0UL };
// COMMA RPAREN RANGLE NUM_INT MINUS NUM_FLOAT 
const antlr::BitSet TrainerParser::_tokenSet_6(_tokenSet_6_data_,4);
const unsigned long TrainerParser::_tokenSet_7_data_[] = { 1835138UL, 0UL, 0UL, 0UL };
// EOF RPAREN NUM_INT MINUS NUM_FLOAT 
const antlr::BitSet TrainerParser::_tokenSet_7(_tokenSet_7_data_,4);
const unsigned long TrainerParser::_tokenSet_8_data_[] = { 1835136UL, 0UL, 0UL, 0UL };
// RPAREN NUM_INT MINUS NUM_FLOAT 
const antlr::BitSet TrainerParser::_tokenSet_8(_tokenSet_8_data_,4);
const unsigned long TrainerParser::_tokenSet_9_data_[] = { 33554434UL, 0UL, 0UL, 0UL };
// EOF COLON 
const antlr::BitSet TrainerParser::_tokenSet_9(_tokenSet_9_data_,4);


ANTLR_END_NAMESPACE
