#ifndef INC_TrainerParser_hpp_
#define INC_TrainerParser_hpp_

#line 1 "trainer.g"

    // gets inserted before antlr generated includes in the header file

#line 9 "TrainerParser.hpp"
#include <antlr/config.hpp>
/* $ANTLR 2.7.4: "trainer.g" -> "TrainerParser.hpp"$ */
#include <antlr/TokenStream.hpp>
#include <antlr/TokenBuffer.hpp>
#include "TrainerTokenTypes.hpp"
#include <antlr/LLkParser.hpp>

#line 4 "trainer.g"

    // gets inserted after antlr generated includes in the header file
    // outside any generated namespace specifications
    
#include "TestCase.h"
#include "Scenario.h"

#line 25 "TrainerParser.hpp"
ANTLR_BEGIN_NAMESPACE(RS)
#line 28 "trainer.g"

    // gets inserted after generated namespace specifications in the header
    // file. But outside the generated class.

#line 31 "TrainerParser.hpp"
class CUSTOM_API TrainerParser : public antlr::LLkParser, public TrainerTokenTypes
{
#line 55 "trainer.g"

    // additional methods and members
    public:
    void random_seed(int random_seed) { random_seed_ = random_seed; };

    private:
    int random_seed_;
#line 35 "TrainerParser.hpp"
public:
	void initializeASTFactory( antlr::ASTFactory& factory );
protected:
	TrainerParser(antlr::TokenBuffer& tokenBuf, int k);
public:
	TrainerParser(antlr::TokenBuffer& tokenBuf);
protected:
	TrainerParser(antlr::TokenStream& lexer, int k);
public:
	TrainerParser(antlr::TokenStream& lexer);
	TrainerParser(const antlr::ParserSharedInputState& state);
	int getNumTokens() const
	{
		return TrainerParser::NUM_TOKENS;
	}
	const char* getTokenName( int type ) const
	{
		if( type > getNumTokens() ) return 0;
		return TrainerParser::tokenNames[type];
	}
	const char* const* getTokenNames() const
	{
		return TrainerParser::tokenNames;
	}
	public: TestCase*  test_case();
	public: std::string  string();
	public: long  long_();
	public: Scenario*  scenario();
	public: Scenario*  only_attacker_score();
	public: Scenario*  attacker_goalie_score();
	public: Scenario*  attacker_defenders_goalie_score();
	public: Scenario*  attacker_defenders_dribble();
	public: Scenario*  attackers_defenders_pass();
	public: Scenario*  three_on_three();
	public: std::vector<int>  long_seq();
	public: Point  point();
	public: long  pos_long_();
	public: double  pos_float_();
	public: double  float_();
	public: double  double_();
	public: bool  bool_();
	public: std::string  ident();
	public: std::string  ident_with_namespaces();
public:
	antlr::RefAST getAST()
	{
		return returnAST;
	}
	
protected:
	antlr::RefAST returnAST;
private:
	static const char* tokenNames[];
#ifndef NO_STATIC_CONSTS
	static const int NUM_TOKENS = 41;
#else
	enum {
		NUM_TOKENS = 41
	};
#endif
	
	static const unsigned long _tokenSet_0_data_[];
	static const antlr::BitSet _tokenSet_0;
	static const unsigned long _tokenSet_1_data_[];
	static const antlr::BitSet _tokenSet_1;
	static const unsigned long _tokenSet_2_data_[];
	static const antlr::BitSet _tokenSet_2;
	static const unsigned long _tokenSet_3_data_[];
	static const antlr::BitSet _tokenSet_3;
	static const unsigned long _tokenSet_4_data_[];
	static const antlr::BitSet _tokenSet_4;
	static const unsigned long _tokenSet_5_data_[];
	static const antlr::BitSet _tokenSet_5;
	static const unsigned long _tokenSet_6_data_[];
	static const antlr::BitSet _tokenSet_6;
	static const unsigned long _tokenSet_7_data_[];
	static const antlr::BitSet _tokenSet_7;
	static const unsigned long _tokenSet_8_data_[];
	static const antlr::BitSet _tokenSet_8;
	static const unsigned long _tokenSet_9_data_[];
	static const antlr::BitSet _tokenSet_9;
};

ANTLR_END_NAMESPACE
#endif /*INC_TrainerParser_hpp_*/
