/* -*- Mode: C++ -*-
 * $Id: BallObject.cc,v 1.2 2002/08/02 21:32:59 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: BallObject.cc
 * Unitname: Library
 * $Revision: 1.2 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: s02davro $ $Date: 2002/08/02 21:32:59 $
 *
 *
 * HISTORY
 *
 * $Log: BallObject.cc,v $
 * Revision 1.2  2002/08/02 21:32:59  s02davro
 * Added observationtime, and speedobservationtime in constructor.
 *
 * Revision 1.1  2000/09/01 03:24:33  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 * Revision 1.1.1.1  2000/08/31 13:26:04  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file BallObject.cc
 * Implementation of the class BallObject.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.2 $
 * $Author: s02davro $
 * $Date: 2002/08/02 21:32:59 $
 */


#include "BallObject.h"


RS_BEGIN_NAMESPACE


BallObject::BallObject(const PointUE& def_point,
		       const TimeUnknown def_time,
		       const VectorUE& def_speed,
		       const TimeUnknown def_speed_time,		       
		       const VectorUE& def_acceleration)
  : MobileObject(def_point, def_time, def_speed, 
		 def_speed_time, def_acceleration) {
}


BallObject::BallObject(const BallObject& obj)
  : MobileObject(obj) {
}


BallObject& BallObject::operator= (const BallObject& obj) {
  if (this != &obj) {
    MobileObject::operator=(obj);
  }
  return *this;
}

RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "BallObject.icc"
#endif
