/* -*- Mode: C++ -*-
 * $Id: BallObject.h,v 1.4 2002/09/03 10:56:53 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: BallObject.h
 * Unitname: Library
 * $Revision: 1.4 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: s02davro $ $Date: 2002/09/03 10:56:53 $
 *
 *
 * HISTORY
 *
 * $Log: BallObject.h,v $
 * Revision 1.4  2002/09/03 10:56:53  s02davro
 * Minor update
 *
 * Revision 1.3  2002/08/31 14:46:01  s02davro
 * Small changes in the game objects.
 *
 * Revision 1.2  2002/08/02 21:32:59  s02davro
 * Added observationtime, and speedobservationtime in constructor.
 *
 * Revision 1.1  2000/09/01 03:24:30  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 * Revision 1.1.1.1  2000/08/31 13:26:04  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file BallObject.h
 * Include file for the class BallObject.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.4 $
 * $Author: s02davro $
 * $Date: 2002/09/03 10:56:53 $
 */


#ifndef BALLOBJECT_H
#define BALLOBJECT_H

#include "MobileObject.h"

RS_BEGIN_NAMESPACE


/**
 * @class BallObject BallObject.h
 * Class used to represent the ball.
 *
 * @todo Make a toString and operator<<
 *
 * @par Unit:
 *      Library
 * $Revision: 1.4 $
 * $Author: s02davro $
 * $Date: 2002/09/03 10:56:53 $
 */

class BallObject : public MobileObject {
public:
  /** Default constructor, all values are unknown. */
  BallObject(const PointUE& def_point = PointUE(),
	     const TimeUnknown def_time = TimeUnknown(),
	     const VectorUE& def_speed = VectorUE(),
	     const TimeUnknown def_speed_time = TimeUnknown(),
	     const VectorUE& def_acceleration = VectorUE());

  /** Copy constructor */
  BallObject(const BallObject& obj);

  /** Assignment operator */
  BallObject& operator= (const BallObject& obj);
};


RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler and debugger understands the keyword inline then include
 * the inline definitions here, otherwise include them in the definition file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifdef RS_USE_INLINE
#  include "BallObject.icc"
#endif


#endif // !BALLOBJECT_H
