/* -*- Mode: C++ -*-
 * $Id: CatchCommand.cc,v 1.3 2003/07/21 09:11:47 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: CatchCommand.cc
 * Unitname: Library
 * $Revision: 1.3 $
 * Created by: Fredrik Heintz 2000-xx-xx
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 09:11:47 $
 *
 *
 * HISTORY
 *
 * $Log: CatchCommand.cc,v $
 * Revision 1.3  2003/07/21 09:11:47  s02davro
 * Changed and updated the command hierarchy
 *
 * Revision 1.2  2000/09/09 11:49:53  frehe
 * Added a new level in the command hieararchy, namely ImmediateCommand and PeriodicCommand.
 *
 * Revision 1.1  2000/09/02 14:16:27  frehe
 * Imported the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file CatchCommand.cc
 * Implementation of the class CatchCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.3 $
 * $Author: s02davro $
 * $Date: 2003/07/21 09:11:47 $
 */

#include "CatchCommand.h"
#include "string_utils.h"

RS_BEGIN_NAMESPACE

CatchCommand::CatchCommand(const AngleDeg& ang)
  : PeriodicCommand(CMD_Catch),
    angle(ang) {
}

CatchCommand::~CatchCommand(){
}

const std::string CatchCommand::serverString() const {
  return "(catch " + toString(angle.getDeg()) + ")";
}

CatchCommand* CatchCommand::clone() const {
  return new CatchCommand(*this);
}

AngleDeg CatchCommand::getAngle() const {
  return angle;
}

RS_END_NAMESPACE
