/* -*- Mode: C++ -*-
 * $Id: ChangeModeCommand.h,v 1.1 2003/07/21 08:29:12 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: ChangeModeCommand.h
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: David Rosen 2003-07-03
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 08:29:12 $
 *
 *
 * HISTORY
 *
 * $Log: ChangeModeCommand.h,v $
 * Revision 1.1  2003/07/21 08:29:12  s02davro
 * Added new commands (v9, trainer, coach, new command hierarchy)
 *
 *
 */

/**
 * @file ChangeModeCommand.h
 * Include file for the class ChangeModeCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:12 $
 */

#ifndef CHANGEMODECOMMAND_H
#define CHANGEMODECOMMAND_H

#include "TrainerCommand.h"
#include "soccer_types.h"

RS_BEGIN_NAMESPACE

/**
 * @class ChangeModeCommand ChangeModeCommand.h
 * Class used to represent the server command (change_mode <pm>).
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:12 $
 */
class ChangeModeCommand : public TrainerCommand {
public:
  ChangeModeCommand(PlayMode pm);
  ~ChangeModeCommand();

  /** Returns the server string that will execute the ChangeModeCommand
      at the soccer server. */
  const std::string serverString() const;
  
  /** Returns a new copy of the command.
      REMEMBER TO DELETE IT, OTHERWISE YOU WILL HAVE A MEMORY LEAK!!! */
  ChangeModeCommand* clone() const;
private:
  PlayMode playMode;
};

RS_END_NAMESPACE

#endif // !CHANGEMODECOMMAND_H
