/* -*- Mode: C++ -*-
 * $Id: CoachInitCommand.cc,v 1.1 2003/07/21 08:29:13 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: CoachInitCommand.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: David Rosen 2003-07-02
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 08:29:13 $
 *
 *
 * HISTORY
 *
 * $Log: CoachInitCommand.cc,v $
 * Revision 1.1  2003/07/21 08:29:13  s02davro
 * Added new commands (v9, trainer, coach, new command hierarchy)
 *
 * Revision 1.3  2002/12/07 17:31:01  s02davro
 * CoachInitCommand handle trainer
 *
 * Revision 1.2  2000/09/09 11:49:53  frehe
 * Added a new level in the command hieararchy, namely ImmediateCommand and PeriodicCommand.
 *
 * Revision 1.1  2000/09/02 14:16:28  frehe
 * Imported the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file CoachInitCommand.cc
 * Implementation of the class CoachInitCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:13 $
 */

#include "CoachInitCommand.h"
#include "string_utils.h"

RS_BEGIN_NAMESPACE

CoachInitCommand::CoachInitCommand(const std::string& team_name,
				   const Float ver)
  : CoachCommand(CMD_CoachInit),
    teamName(team_name),
    version(ver) {}

CoachInitCommand::~CoachInitCommand() {
}

const std::string CoachInitCommand::serverString() const {
  return "(init " + teamName + " (version " + toString(version) + "))";
}

CoachInitCommand* CoachInitCommand::clone() const {
  return new CoachInitCommand(*this);
}

RS_END_NAMESPACE
