/* -*- Mode: C++ -*-
 * $Id: CoachInitCommand.h,v 1.1 2003/07/21 08:29:13 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: CoachInitCommand.h
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: David Rosen 2003-07-02
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 08:29:13 $
 *
 *
 * HISTORY
 *
 * $Log: CoachInitCommand.h,v $
 * Revision 1.1  2003/07/21 08:29:13  s02davro
 * Added new commands (v9, trainer, coach, new command hierarchy)
 *
 *
 */

/**
 * @file CoachInitCommand.h
 * Include file for the class CoachInitCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:13 $
 */

#ifndef COACHINITCOMMAND_H
#define COACHINITCOMMAND_H

#include "CoachCommand.h"

RS_BEGIN_NAMESPACE

/**
 * @class CoachInitCommand CoachInitCommand.h
 * Class used to represent the server command
 * (init TeamName (version V)).
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:13 $
 */
class CoachInitCommand : public CoachCommand {
public:
  CoachInitCommand(const std::string& team_name,
		   const Float vers);
  
  ~CoachInitCommand();

  /** Returns the server string that will execute the InitCommand
      at the soccer server. */
  const std::string serverString() const;

  /** Returns a new copy of the command.
      REMEMBER TO DELETE IT, OTHERWISE YOU WILL HAVE A MEMORY LEAK!!! */
  CoachInitCommand* clone() const;

private:
  std::string teamName;
  Float version;
};

RS_END_NAMESPACE

#endif // !COACHINITCOMMAND_H
