/* -*- Mode: C++ -*-
 * $Id: CoachSayCommand.cc,v 1.1 2004/09/08 22:16:16 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: CoachSayCommand.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2004-09-09
 * Last modified by $Author: frehe $ $Date: 2004/09/08 22:16:16 $
 *
 *
 * HISTORY
 *
 * $Log: CoachSayCommand.cc,v $
 * Revision 1.1  2004/09/08 22:16:16  frehe
 * Added an unquoted say message needed by the coach and trainer.
 *
 */

/**
 * @file CoachSayCommand.cc
 * Implementation of the class CoachSayCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2004/09/08 22:16:16 $
 */


#include "CoachSayCommand.h"


RS_BEGIN_NAMESPACE


CoachSayCommand::CoachSayCommand(const std::string& msg)
  : CoachOrTrainerCommand(CMD_Say),
    message(msg)
{
}


CoachSayCommand::~CoachSayCommand()
{
}


const std::string CoachSayCommand::serverString() const
{
  return "(say " + message + ")";
}


CoachSayCommand* CoachSayCommand::clone() const
{
  return new CoachSayCommand(*this);
}


RS_END_NAMESPACE
