/* -*- Mode: C++ -*-
 * $Id: CoachSayCommand.h,v 1.1 2004/09/08 22:16:16 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: CoachSayCommand.h
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2004-09-09
 * Last modified by $Author: frehe $ $Date: 2004/09/08 22:16:16 $
 *
 *
 * HISTORY
 *
 * $Log: CoachSayCommand.h,v $
 * Revision 1.1  2004/09/08 22:16:16  frehe
 * Added an unquoted say message needed by the coach and trainer.
 *
 */

/**
 * @file CoachSayCommand.h
 * Include file for the class CoachSayCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2004/09/08 22:16:16 $
 */


#ifndef COACH_SAY_COMMAND_H
#define COACH_SAY_COMMAND_H


#include "CoachOrTrainerCommand.h"


RS_BEGIN_NAMESPACE


/**
 * @class CoachSayCommand CoachSayCommand.h
 * Class used to represent the server command (say Message).
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2004/09/08 22:16:16 $
 */


class CoachSayCommand : public CoachOrTrainerCommand {
 public:
  CoachSayCommand(const std::string& msg);
  ~CoachSayCommand();

  /** Returns the server string that will execute the coach say command. */
  const std::string serverString() const;

  /** Returns a new copy of the command.
      REMEMBER TO DELETE IT, OTHERWISE YOU WILL HAVE A MEMORY LEAK!!! */
  CoachSayCommand* clone() const;


 private:
  std::string message;
};


RS_END_NAMESPACE


#endif // !COACH_SAY_COMMAND_H
