/* -*- Mode: C++ -*-
 * $Id: CoachSubstitutionCommand.h,v 1.1 2003/07/21 08:29:14 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: CoachSubstitutionCommand.h
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: David Rosen 2003-06-30
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 08:29:14 $
 *
 *
 * HISTORY
 *
 * $Log: CoachSubstitutionCommand.h,v $
 * Revision 1.1  2003/07/21 08:29:14  s02davro
 * Added new commands (v9, trainer, coach, new command hierarchy)
 *
 * Revision 1.1  2001/11/15 16:48:31  frehe
 * Added a clangVersion command.
 *
 */

/**
 * @file CoachSubstitutionCommand.h
 * Include file for the class CoachSubstitutionCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:14 $
 */

#ifndef COACHSUBSTITUTIONCOMMAND_H
#define COACHSUBSTITUTIONCOMMAND_H

#include "CoachCommand.h"

RS_BEGIN_NAMESPACE

/**
 * @class CoachSubstitutionCommand CoachSubstitutionCommand.h
 * Class used to represent the command for a Coach to substitute a player.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:14 $
 */
class CoachSubstitutionCommand : public CoachCommand {
public:
  CoachSubstitutionCommand(UInt def_number, UInt def_type = 0);
  ~CoachSubstitutionCommand();
  
  /** Returns the server string that will execute the CoachSubstitutionCommand
      at the soccer server. */
  const std::string serverString() const;
  
  /** Returns a new copy of the command.
      REMEMBER TO DELETE IT, OTHERWISE YOU WILL HAVE A MEMORY LEAK!!! */
  CoachSubstitutionCommand* clone() const;
  
private:
  /** The actual commands. */
  UInt number;
  UInt type;
};

RS_END_NAMESPACE

#endif // !COACHSUBSTITUTIOCOMMAND_H
