/* -*- Mode: C++ -*-
 * $Id: ControlCommand.cc,v 1.4 2003/07/21 09:11:48 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: ControlCommand.cc
 * Unitname: Library
 * $Revision: 1.4 $
 * Created by: Fredrik Heintz 2000-xx-xx
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 09:11:48 $
 *
 *
 * HISTORY
 *
 * $Log: ControlCommand.cc,v $
 * Revision 1.4  2003/07/21 09:11:48  s02davro
 * Changed and updated the command hierarchy
 *
 * Revision 1.3  2000/09/01 11:43:02  frehe
 * Made minor changes in documentation.
 *
 * Revision 1.2  2000/08/31 13:59:35  frehe884
 * Added documentation. [frehe884]
 *
 * Revision 1.1.1.1  2000/08/31 13:26:03  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file ControlCommand.cc
 * Implementation of the class ControlCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.4 $
 * $Author: s02davro $
 * $Date: 2003/07/21 09:11:48 $
 */

#include "ControlCommand.h"

RS_BEGIN_NAMESPACE

ControlCommand::ControlCommand(const CommandType c_type,
			       const UInt _ticks)
  : Command(c_type),
    ticks(_ticks) {}

ControlCommand::~ControlCommand() {}

UInt ControlCommand::getTicks() const {
  return ticks;
}

void ControlCommand::setTicks(const UInt _ticks) {
  ticks = _ticks;
}

RS_END_NAMESPACE

