/* -*- Mode: C++ -*-
 * $Id: ControlCommand.h,v 1.7 2003/07/21 09:11:48 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: ControlCommand.h
 * Unitname: Library
 * $Revision: 1.7 $
 * Created by: Fredrik Heintz 2000-xx-xx
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 09:11:48 $
 *
 *
 * HISTORY
 *
 * $Log: ControlCommand.h,v $
 * Revision 1.7  2003/07/21 09:11:48  s02davro
 * Changed and updated the command hierarchy
 *
 * Revision 1.6  2000/09/05 09:36:40  frehe
 * Made minor changes to improve the documentation.
 *
 * Revision 1.5  2000/09/03 11:10:26  frehe
 * Made the clone method constant.
 *
 * Revision 1.4  2000/09/02 15:29:02  frehe
 * Made more minor changes.
 *
 * Revision 1.3  2000/09/01 11:43:00  frehe
 * Made minor changes in documentation.
 *
 * Revision 1.2  2000/09/01 01:24:37  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 * Revision 1.1.1.1  2000/08/31 13:26:04  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file ControlCommand.h
 * Include file for the class ControlCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.7 $
 * $Author: s02davro $
 * $Date: 2003/07/21 09:11:48 $
 */

#ifndef CONTROLCOMMAND_H
#define CONTROLCOMMAND_H

#include "Command.h"

RS_BEGIN_NAMESPACE

/**
 * @class ControlCommand ControlCommand.h
 * Class used as the base class of all control commands
 * defined in RoboSoc.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.7 $
 * $Author: s02davro $
 * $Date: 2003/07/21 09:11:48 $
 */
class ControlCommand : public Command {
public:
  ControlCommand(const CommandType, const UInt _ticks);
  virtual ~ControlCommand();
  
  /** Returns a new copy of the command.
      REMEMBER TO DELETE IT, OTHERWISE YOU WILL HAVE A MEMORY LEAK!!! */
  virtual ControlCommand* clone() const = 0;
  
  UInt getTicks() const;
  void setTicks(const UInt _ticks);
  
protected:
  UInt ticks;
};


RS_END_NAMESPACE

#endif // !CONTROLCOMMAND_H
