/* -*- Mode: C++ -*-
 * $Id: DashCommand.cc,v 1.5 2003/07/21 09:11:48 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: DashCommand.cc
 * Unitname: Library
 * $Revision: 1.5 $
 * Created by: Fredrik Heintz 2000-xx-xx
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 09:11:48 $
 *
 *
 * HISTORY
 *
 * $Log: DashCommand.cc,v $
 * Revision 1.5  2003/07/21 09:11:48  s02davro
 * Changed and updated the command hierarchy
 *
 * Revision 1.4  2000/09/09 11:49:53  frehe
 * Added a new level in the command hieararchy, namely ImmediateCommand and PeriodicCommand.
 *
 * Revision 1.3  2000/09/01 11:43:03  frehe
 * Made minor changes in documentation.
 *
 * Revision 1.2  2000/08/31 13:59:36  frehe884
 * Added documentation. [frehe884]
 *
 * Revision 1.1.1.1  2000/08/31 13:26:03  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file DashCommand.cc
 * Implementation of the class DashCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.5 $
 * $Author: s02davro $
 * $Date: 2003/07/21 09:11:48 $
 */

#include "DashCommand.h"
#include "string_utils.h"

RS_BEGIN_NAMESPACE

DashCommand::DashCommand(const Float pow)
  : PeriodicCommand(CMD_Dash),
    power(pow) {}

DashCommand::~DashCommand() {
}

const std::string DashCommand::serverString() const {
  return "(dash " + toString(power) + ")";
}

DashCommand* DashCommand::clone() const {
  return new DashCommand(*this);
}

Float DashCommand::getPower() const {
  return power;
}

RS_END_NAMESPACE
