/* -*- Mode: C++ -*-
 * $Id: EyeCommand.cc,v 1.1 2003/07/21 08:29:14 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: EyeCommand.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: David Rosen 2003-06-30
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 08:29:14 $
 *
 *
 * HISTORY
 *
 * $Log: EyeCommand.cc,v $
 * Revision 1.1  2003/07/21 08:29:14  s02davro
 * Added new commands (v9, trainer, coach, new command hierarchy)
 *
 * Revision 1.1  2001/11/15 16:48:31  frehe
 * Added a clangVersion command.
 *
 */

/**
 * @file EyeCommand.cc
 * Implementation of the class EyeCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:14 $
 */

#include "EyeCommand.h"
#include "string_utils.h"

RS_BEGIN_NAMESPACE

EyeCommand::EyeCommand(bool def_on)
  : CoachOrTrainerCommand(CMD_Eye),
    on(def_on) {}

EyeCommand::~EyeCommand() {}

const std::string EyeCommand::serverString() const {
  return toString("(eye ") + (on?"on":"off") + ")";
}

EyeCommand* EyeCommand::clone() const {
  return new EyeCommand(*this);
}

RS_END_NAMESPACE
