/* -*- Mode: C++ -*-
 * $Id: EyeCommand.h,v 1.1 2003/07/21 08:29:14 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: EyeCommand.h
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: David Rosen 2003-06-30
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 08:29:14 $
 *
 *
 * HISTORY
 *
 * $Log: EyeCommand.h,v $
 * Revision 1.1  2003/07/21 08:29:14  s02davro
 * Added new commands (v9, trainer, coach, new command hierarchy)
 *
 * Revision 1.1  2001/11/15 16:48:31  frehe
 * Added a clangVersion command.
 *
 */

/**
 * @file EyeCommand.h
 * Include file for the class EyeCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:14 $
 */

#ifndef EYECOMMAND_H
#define EYECOMMAND_H

#include "CoachOrTrainerCommand.h"

RS_BEGIN_NAMESPACE

/**
 * @class EyeCommand EyeCommand.h
 * Class used to represent a eye command
 * defined in RoboSoc.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:14 $
 */
class EyeCommand : public CoachOrTrainerCommand {
public:
  EyeCommand(bool def_on = false);
  ~EyeCommand();
  
  /** Returns the server string that will execute the EyeCommand
      at the soccer server. */
  const std::string serverString() const;
  
  /** Returns a new copy of the command.
      REMEMBER TO DELETE IT, OTHERWISE YOU WILL HAVE A MEMORY LEAK!!! */
  EyeCommand* clone() const;

private:
  /** The actual commands. */
  bool on;
};

RS_END_NAMESPACE

#endif // !EYECOMMAND_H
