/* -*- Mode: C++ -*-
 * $Id: LookCommand.cc,v 1.1 2003/07/21 08:29:14 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: LookCommand.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: David Rosen 2003-07-03
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 08:29:14 $
 *
 *
 * HISTORY
 *
 * $Log: LookCommand.cc,v $
 * Revision 1.1  2003/07/21 08:29:14  s02davro
 * Added new commands (v9, trainer, coach, new command hierarchy)
 *
 *
 */

/**
 * @file LookCommand.cc
 * Implementation of the class LookCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:14 $
 */

#include "LookCommand.h"

RS_BEGIN_NAMESPACE

LookCommand::LookCommand()
  : CoachOrTrainerCommand(CMD_Look) {}


LookCommand::~LookCommand() {}

const std::string LookCommand::serverString() const {
  return "(look)";
}

LookCommand* LookCommand::clone() const {
  return new LookCommand(*this);
}

RS_END_NAMESPACE
