/* -*- Mode: C++ -*-
 * $Id: LookCommand.h,v 1.1 2003/07/21 08:29:15 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: LookCommand.h
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: David Rosen 2003-07-03
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 08:29:15 $
 *
 *
 * HISTORY
 *
 * $Log: LookCommand.h,v $
 * Revision 1.1  2003/07/21 08:29:15  s02davro
 * Added new commands (v9, trainer, coach, new command hierarchy)
 *
 *
 */

/**
 * @file LookCommand.h
 * Include file for the class LookCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:15 $
 */

#ifndef LOOKCOMMAND_H
#define LOOKCOMMAND_H

#include "CoachOrTrainerCommand.h"

RS_BEGIN_NAMESPACE

/**
 * @class LookCommand LookCommand.h
 * Class used to represent the server command (team_names).
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:15 $
 */
class LookCommand : public CoachOrTrainerCommand {
public:
  LookCommand();
  ~LookCommand();

  /** Returns the server string that will execute the LookCommand
      at the soccer server. */
  const std::string serverString() const;
  
  /** Returns a new copy of the command.
      REMEMBER TO DELETE IT, OTHERWISE YOU WILL HAVE A MEMORY LEAK!!! */
  LookCommand* clone() const;
};

RS_END_NAMESPACE

#endif // !LOOKCOMMAND_H
