/* -*- Mode: C++ -*-
 * $Id: MarkerObject.cc,v 1.2 2002/08/02 21:35:54 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: MarkerObject.cc
 * Unitname: Library
 * $Revision: 1.2 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: s02davro $ $Date: 2002/08/02 21:35:54 $
 *
 *
 * HISTORY
 *
 * $Log: MarkerObject.cc,v $
 * Revision 1.2  2002/08/02 21:35:54  s02davro
 * Change types, added documentation.
 *
 * Revision 1.1  2000/09/01 03:24:33  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 * Revision 1.1.1.1  2000/08/31 13:26:04  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file MarkerObject.cc
 * Implementation of the class MarkerObject.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.2 $
 * $Author: s02davro $
 * $Date: 2002/08/02 21:35:54 $
 */


#include "MarkerObject.h"


RS_BEGIN_NAMESPACE


MarkerObject::MarkerObject(const MarkerName def_markerName,
			   const Point& def_point)
  : position(def_point),
    markerId(def_markerName) {
}

MarkerObject::MarkerObject(const MarkerObject& obj)
  : position(obj.position),
    markerId(obj.markerId) {
}

MarkerObject& MarkerObject::operator= (const MarkerObject& obj) {
  if (this != &obj) {
    position = obj.position;
    markerId = obj.markerId;
  }
  return *this;
}

std::ostream& operator<<(std::ostream& os, const MarkerObject& marker) {
  os << "#Marker(" << marker.getMarkerId() << ", " 
     << marker.getPosition() << ")";
  return os;
}


RS_END_NAMESPACE
