/* -*- Mode: C++ -*-
 * $Id: MobileObject.cc,v 1.2 2002/08/02 21:36:10 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: MobileObject.cc
 * Unitname: Library
 * $Revision: 1.2 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: s02davro $ $Date: 2002/08/02 21:36:10 $
 *
 *
 * HISTORY
 *
 * $Log: MobileObject.cc,v $
 * Revision 1.2  2002/08/02 21:36:10  s02davro
 * Change types, inheritance, removed some methods.
 *
 * Revision 1.1  2000/09/01 03:24:34  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 * Revision 1.1.1.1  2000/08/31 13:26:04  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file MobileObject.cc
 * Implementation of the class MobileObject.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.2 $
 * $Author: s02davro $
 * $Date: 2002/08/02 21:36:10 $
 */


#include "MobileObject.h"


RS_BEGIN_NAMESPACE


MobileObject::MobileObject(const PointUE& def_point,
			   const TimeUnknown& def_time,			   
			   const VectorUE& def_speed,
			   const TimeUnknown& def_speed_time,
			   const VectorUE& def_acceleration)
  : position(def_point),
    observationTime(def_time),
    speed(def_speed),
    speedObservationTime(def_speed_time),
    acceleration(def_acceleration) {
}

MobileObject::MobileObject(const MobileObject& obj)
  : position(obj.position),
    observationTime(obj.observationTime),
    speed(obj.speed),
    speedObservationTime(obj.speedObservationTime),
    acceleration(obj.acceleration) {
}

MobileObject& MobileObject::operator= (const MobileObject& obj) {
  if (this != &obj) {
    position = obj.position;
    observationTime = obj.observationTime;
    speed = obj.speed;
    speedObservationTime = obj.speedObservationTime;
    acceleration = obj.acceleration;
  }
  return *this;  
}

RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "MobileObject.icc"
#endif
