/* -*- Mode: C++ -*-
 * $Id: PlayerType.cc,v 1.1 2003/07/21 08:29:15 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: PlayerType.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: David Rosen 2003-06-31
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 08:29:15 $
 *
 *
 * HISTORY
 *
 * $Log: PlayerType.cc,v $
 * Revision 1.1  2003/07/21 08:29:15  s02davro
 * Added new commands (v9, trainer, coach, new command hierarchy)
 *
 *
 */

/**
 * @file PlayerType.cc
 * Implementation of the class PlayerType.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:15 $
 */


#include "PlayerType.h"

RS_BEGIN_NAMESPACE

PlayerType::PlayerType() 
    : id(0),
      player_speed_max(1.0),
      stamina_inc_max(45),
      player_decay(0.4),
      inertia_moment(5.0),
      dash_power_rate(0.006),
      player_size(0.3),
      kickable_margin(0.7),
      kick_rand(0.0),      
      extra_stamina(0),
      effort_max(1.0),
      effort_min(0.6) {
}

RS_END_NAMESPACE

