/* -*- Mode: C++ -*-
 * $Id: PlayerType.h,v 1.1 2003/07/21 08:29:15 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: PlayerType.h
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: David Rosen 2003-06-24
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 08:29:15 $
 *
 *
 * HISTORY
 *
 * $Log: PlayerType.h,v $
 * Revision 1.1  2003/07/21 08:29:15  s02davro
 * Added new commands (v9, trainer, coach, new command hierarchy)
 *
 */

/**
 * @file PlayerType.h
 * Include file for the class PlayerType.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:15 $
 */


#ifndef PLAYERTYPE_H
#define PLAYERTYPE_H

#include "library_types.h"

RS_BEGIN_NAMESPACE


/**
 * @class PlayerType PlayerType.h
 * Class used to represent a heterogenous player type.
 *
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:15 $
 */
class PlayerType {
public:
  PlayerType();
  Int id;
  Float player_speed_max;
  Float stamina_inc_max;
  Float player_decay;
  Float inertia_moment;
  Float dash_power_rate;
  Float player_size;
  Float kickable_margin;
  Float kick_rand;
  Float extra_stamina;
  Float effort_max;
  Float effort_min;
};

RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler and debugger understands the keyword inline then include
 * the inline definitions here, otherwise include them in the definition file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */


#endif // !PLAYERTYPE_H
