/* -*- Mode: C++ -*-
 * $Id: RecoverCommand.cc,v 1.1 2003/07/21 08:29:15 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: RecoverCommand.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2000-xx-xx
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 08:29:15 $
 *
 *
 * HISTORY
 *
 * $Log: RecoverCommand.cc,v $
 * Revision 1.1  2003/07/21 08:29:15  s02davro
 * Added new commands (v9, trainer, coach, new command hierarchy)
 *
 * Revision 1.2  2000/09/09 11:49:52  frehe
 * Added a new level in the command hieararchy, namely ImmediateCommand and PeriodicCommand.
 *
 * Revision 1.1  2000/09/01 11:43:42  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file RecoverCommand.cc
 * Implementation of the class RecoverCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:15 $
 */

#include "RecoverCommand.h"

RS_BEGIN_NAMESPACE

RecoverCommand::RecoverCommand()
  : TrainerCommand(CMD_Recover) {}


RecoverCommand::~RecoverCommand() {}

const std::string RecoverCommand::serverString() const {
  return "(recover)";
}

RecoverCommand* RecoverCommand::clone() const {
  return new RecoverCommand(*this);
}

RS_END_NAMESPACE
