/* -*- Mode: C++ -*-
 * $Id: SetMaxTicksBeforeSendingCommand.cc,v 1.2 2003/07/21 09:19:20 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: SetMaxTicksBeforeSendingCommand.cc
 * Unitname: Library
 * $Revision: 1.2 $
 * Created by: Fredrik Heintz 2000-xx-xx
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 09:19:20 $
 *
 *
 * HISTORY
 *
 * $Log: SetMaxTicksBeforeSendingCommand.cc,v $
 * Revision 1.2  2003/07/21 09:19:20  s02davro
 * Changed and updated the command hierarchy
 *
 * Revision 1.1  2000/09/02 15:33:06  frehe
 * Imported the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file SetMaxTicksBeforeSendingCommand.cc
 * Implementation of the class SetMaxTicksBeforeSendingCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.2 $
 * $Author: s02davro $
 * $Date: 2003/07/21 09:19:20 $
 */

#include "SetMaxTicksBeforeSendingCommand.h"
#include "string_utils.h"

RS_BEGIN_NAMESPACE

SetMaxTicksBeforeSendingCommand::SetMaxTicksBeforeSendingCommand(const UInt _ticks)
  : ControlCommand(CMD_SetMaxTicksBeforeSendingCommand, _ticks) {
}

SetMaxTicksBeforeSendingCommand::~SetMaxTicksBeforeSendingCommand() {
}

SetMaxTicksBeforeSendingCommand* SetMaxTicksBeforeSendingCommand::clone() const {
  return new SetMaxTicksBeforeSendingCommand(*this);
}

RS_END_NAMESPACE
