/* -*- Mode: C++ -*-
 * $Id: SetTicksBeforeCommandWarning.cc,v 1.2 2003/07/21 09:19:21 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: SetTicksBeforeCommandWarning.cc
 * Unitname: Library
 * $Revision: 1.2 $
 * Created by: Fredrik Heintz 2000-xx-xx
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 09:19:21 $
 *
 *
 * HISTORY
 *
 * $Log: SetTicksBeforeCommandWarning.cc,v $
 * Revision 1.2  2003/07/21 09:19:21  s02davro
 * Changed and updated the command hierarchy
 *
 * Revision 1.1  2000/09/02 15:33:07  frehe
 * Imported the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file SetTicksBeforeCommandWarning.cc
 * Implementation of the class SetTicksBeforeCommandWarning.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.2 $
 * $Author: s02davro $
 * $Date: 2003/07/21 09:19:21 $
 */

#include "SetTicksBeforeCommandWarning.h"
#include "string_utils.h"

RS_BEGIN_NAMESPACE

SetTicksBeforeCommandWarning::SetTicksBeforeCommandWarning(const UInt _ticks)
  : ControlCommand(CMD_SetTicksBeforeCommandWarning, _ticks) {
}

SetTicksBeforeCommandWarning::~SetTicksBeforeCommandWarning() {
}

SetTicksBeforeCommandWarning* SetTicksBeforeCommandWarning::clone() const {
  return new SetTicksBeforeCommandWarning(*this);
}

RS_END_NAMESPACE
