/* -*- Mode: C++ -*-
 * $Id: SetTicksBeforeCommandWarning.h,v 1.3 2003/07/21 09:19:20 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: SetTicksBeforeCommandWarning.h
 * Unitname: Library
 * $Revision: 1.3 $
 * Created by: Fredrik Heintz 2000-xx-xx
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 09:19:20 $
 *
 *
 * HISTORY
 *
 * $Log: SetTicksBeforeCommandWarning.h,v $
 * Revision 1.3  2003/07/21 09:19:20  s02davro
 * Changed and updated the command hierarchy
 *
 * Revision 1.2  2000/09/03 11:10:31  frehe
 * Made the clone method constant.
 *
 * Revision 1.1  2000/09/02 15:33:04  frehe
 * Imported the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file SetTicksBeforeCommandWarning.h
 * Include file for the class SetTicksBeforeCommandWarning.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.3 $
 * $Author: s02davro $
 * $Date: 2003/07/21 09:19:20 $
 */


#ifndef SETTICKSBEFORECOMMANDWARNING_H
#define SETTICKSBEFORECOMMANDWARNING_H

#include "ControlCommand.h"

RS_BEGIN_NAMESPACE

/**
 * @class SetTicksBeforeCommandWarning SetTicksBeforeCommandWarning.h
 * Class used to represent the control command SetTicksBeforeCommandWarning
 * which should be used to control after how many ticks into a cycle
 * the controller will generate a command warning event to the decision
 * maker. This warning should indicate that the last time to send a
 * command this cycle is approaching.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.3 $
 * $Author: s02davro $
 * $Date: 2003/07/21 09:19:20 $
 */
class SetTicksBeforeCommandWarning : public ControlCommand {
public:
  SetTicksBeforeCommandWarning(const UInt _ticks);
  ~SetTicksBeforeCommandWarning();

  SetTicksBeforeCommandWarning* clone() const;
};

RS_END_NAMESPACE

#endif // !SETTICKSBEFORECOMMANDWARNING_H
