/* -*- Mode: C++ -*-
 * $Id: SetTicksBetweenVisuals.h,v 1.3 2003/07/21 09:19:21 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: SetTicksBetweenVisuals.h
 * Unitname: Library
 * $Revision: 1.3 $
 * Created by: Fredrik Heintz 2000-xx-xx
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 09:19:21 $
 *
 *
 * HISTORY
 *
 * $Log: SetTicksBetweenVisuals.h,v $
 * Revision 1.3  2003/07/21 09:19:21  s02davro
 * Changed and updated the command hierarchy
 *
 * Revision 1.2  2000/09/03 11:10:32  frehe
 * Made the clone method constant.
 *
 * Revision 1.1  2000/09/02 15:33:05  frehe
 * Imported the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file SetTicksBetweenVisuals.h
 * Include file for the class SetTicksBetweenVisuals.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.3 $
 * $Author: s02davro $
 * $Date: 2003/07/21 09:19:21 $
 */

#ifndef SETTICKSBETWEENVISUALS_H
#define SETTICKSBETWEENVISUALS_H

#include "ControlCommand.h"

RS_BEGIN_NAMESPACE

/**
 * @class SetTicksBetweenVisuals SetTicksBetweenVisuals.h
 * Class used to represent the control command SetTicksBetweenVisuals
 * which should be used to control how many ticks there are between
 * visual information.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.3 $
 * $Author: s02davro $
 * $Date: 2003/07/21 09:19:21 $
 */
class SetTicksBetweenVisuals : public ControlCommand {
public:
  SetTicksBetweenVisuals(const UInt _ticks);
  ~SetTicksBetweenVisuals();

  /** Returns a new copy of the command.
    REMEMBER TO DELETE IT, OTHERWISE YOU WILL HAVE A MEMORY LEAK!!! */
  SetTicksBetweenVisuals* clone() const;
};

RS_END_NAMESPACE

#endif // !SETTICKSBETWEENVISUALS_H
