/* -*- Mode: C++ -*-
 * $Id: StartCommand.h,v 1.1 2003/07/21 08:29:16 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: StartCommand.h
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: David Rosen 2003-07-03
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 08:29:16 $
 *
 *
 * HISTORY
 *
 * $Log: StartCommand.h,v $
 * Revision 1.1  2003/07/21 08:29:16  s02davro
 * Added new commands (v9, trainer, coach, new command hierarchy)
 *
 *
 */

/**
 * @file StartCommand.h
 * Include file for the class StartCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:16 $
 */

#ifndef STARTCOMMAND_H
#define STARTCOMMAND_H

#include "TrainerCommand.h"

RS_BEGIN_NAMESPACE

/**
 * @class StartCommand StartCommand.h
 * Class used to represent the server command (team_names).
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:16 $
 */
class StartCommand : public TrainerCommand {
public:
  StartCommand();
  ~StartCommand();

  /** Returns the server string that will execute the StartCommand
      at the soccer server. */
  const std::string serverString() const;
  
  /** Returns a new copy of the command.
      REMEMBER TO DELETE IT, OTHERWISE YOU WILL HAVE A MEMORY LEAK!!! */
  StartCommand* clone() const;
};

RS_END_NAMESPACE

#endif // !STARTCOMMAND_H
