/* -*- Mode: C++ -*-
 * $Id: TackleCommand.cc,v 1.3 2003/08/20 12:21:47 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: TackleCommand.cc
 * Unitname: Library
 * $Revision: 1.3 $
 * Created by: David Rosn 2002-09-30
 * Last modified by $Author: s02davro $ $Date: 2003/08/20 12:21:47 $
 *
 *
 * HISTORY
 *
 * $Log: TackleCommand.cc,v $
 * Revision 1.3  2003/08/20 12:21:47  s02davro
 * Corrected Command type
 *
 * Revision 1.2  2003/07/21 09:20:16  s02davro
 * Changed and updated the command hierarchy
 *
 * Revision 1.1  2002/10/01 16:06:26  s02davro
 * Added some new (version 8) commandsd
 *
 *
 */

/**
 * @file TackleCommand.cc
 * Implementation of the class TackleCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.3 $
 * $Author: s02davro $
 * $Date: 2003/08/20 12:21:47 $
 */

#include "TackleCommand.h"
#include "string_utils.h"

RS_BEGIN_NAMESPACE

TackleCommand::TackleCommand(const Float def_power)
  : PeriodicCommand(CMD_Tackle),
    power(def_power) {
}

TackleCommand::~TackleCommand() {
}

const std::string TackleCommand::serverString() const {
  return "(tackle " + toString(power) + ")";
}

TackleCommand* TackleCommand::clone() const {
  return new TackleCommand(*this);
}

Float TackleCommand::getPower() const {
  return power;
}

RS_END_NAMESPACE
