/* -*- Mode: C++ -*-
 * $Id: TackleCommand.h,v 1.3 2003/08/20 12:21:47 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: TackleCommand.h
 * Unitname: Library
 * $Revision: 1.3 $
 * Created by: David Rosn 2002-09-30
 * Last modified by $Author: s02davro $ $Date: 2003/08/20 12:21:47 $
 *
 *
 * HISTORY
 *
 * $Log: TackleCommand.h,v $
 * Revision 1.3  2003/08/20 12:21:47  s02davro
 * Corrected Command type
 *
 * Revision 1.2  2003/07/21 09:20:16  s02davro
 * Changed and updated the command hierarchy
 *
 * Revision 1.1  2002/10/01 16:06:27  s02davro
 * Added some new (version 8) commandsd
 *
 *
 */

/**
 * @file TackleCommand.h
 * Include file for the class TackleCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.3 $
 * $Author: s02davro $
 * $Date: 2003/08/20 12:21:47 $
 */


#ifndef TACKLECOMMAND_H
#define TACKLECOMMAND_H

#include "PeriodicCommand.h"

RS_BEGIN_NAMESPACE

/**
 * @class TackleCommand TackleCommand.h
 * Class used to represent the server command (tackle Direction).
 *
 * @par Unit:
 *      Library
 * $Revision: 1.3 $
 * $Author: s02davro $
 * $Date: 2003/08/20 12:21:47 $
 */

class TackleCommand : public PeriodicCommand {
public:
  TackleCommand(const Float power);
  ~TackleCommand();

  /** Returns the server string that will execute the Tackle command. */
  const std::string serverString() const;
  
  /** Returns a new copy of the command.
      REMEMBER TO DELETE IT, OTHERWISE YOU WILL HAVE A MEMORY LEAK!!! */
  TackleCommand* clone() const;

  Float getPower() const;
private:
  Float power;
};

RS_END_NAMESPACE

#endif // !TACKLECOMMAND_H
