/* -*- Mode: C++ -*-
 * $Id: TrainerChangeModeCommand.cc,v 1.1 2004/08/23 20:45:29 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: TrainerChangeModeCommand.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2004-08-23
 * Last modified by $Author: frehe $ $Date: 2004/08/23 20:45:29 $
 *
 * HISTORY
 *
 * $Log: TrainerChangeModeCommand.cc,v $
 * Revision 1.1  2004/08/23 20:45:29  frehe
 * Added trainer commands.
 *
 */

/**
 * @file TrainerChangeModeCommand.cc
 * Implementation of the class TrainerChangeModeCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2004/08/23 20:45:29 $
 */


#include "TrainerChangeModeCommand.h"
#include "string_utils.h"


RS_BEGIN_NAMESPACE


TrainerChangeModeCommand::TrainerChangeModeCommand(const PlayMode play_mode)
  : TrainerCommand(CMD_ChangeMode),
    play_mode_(play_mode)
{
}


TrainerChangeModeCommand::~TrainerChangeModeCommand() {
}


const std::string
TrainerChangeModeCommand::serverString() const {
  return "(change_mode " + toString(play_mode_) + ")";
}


TrainerChangeModeCommand*
TrainerChangeModeCommand::clone() const {
  return new TrainerChangeModeCommand(*this);
}


RS_END_NAMESPACE
