/* -*- Mode: C++ -*-
 * $Id: TrainerEarCommand.cc,v 1.1 2005/11/15 10:27:55 petan Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: EarCommand.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: David Rosen 2003-06-30
 * Last modified by $Author: petan $ $Date: 2005/11/15 10:27:55 $
 *
 *
 * HISTORY
 *
 * $Log: TrainerEarCommand.cc,v $
 * Revision 1.1  2005/11/15 10:27:55  petan
 * Updated documentation for trainer commands.
 *
 * Revision 1.1  2003/07/21 08:29:14  s02davro
 * Added new commands (v9, trainer, coach, new command hierarchy)
 *
 * Revision 1.1  2001/11/15 16:48:31  frehe
 * Added a clangVersion command.
 *
 */

/**
 * @file EarCommand.cc
 * Implementation of the class EarCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: petan $
 * $Date: 2005/11/15 10:27:55 $
 */

#include "TrainerEarCommand.h"
#include "string_utils.h"

RS_BEGIN_NAMESPACE

TrainerEarCommand::TrainerEarCommand(bool def_on)
  : TrainerCommand(CMD_Ear),
    on(def_on) {}

TrainerEarCommand::~TrainerEarCommand() {}

const std::string TrainerEarCommand::serverString() const {
  return toString("(ear ") + (on?"on":"off") + ")";
}

TrainerEarCommand* TrainerEarCommand::clone() const {
  return new TrainerEarCommand(*this);
}


RS_END_NAMESPACE
