/* -*- Mode: C++ -*-
 * $Id: TrainerGetTeamnamesCommand.cc,v 1.1 2004/08/27 14:58:23 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: TrainerGetTeamnamesCommand.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2004-08-27
 * Last modified by $Author: frehe $ $Date: 2004/08/27 14:58:23 $
 *
 * HISTORY
 *
 * $Log: TrainerGetTeamnamesCommand.cc,v $
 * Revision 1.1  2004/08/27 14:58:23  frehe
 * Added support for trainer command (team_names)
 *
 */

/**
 * @file TrainerGetTeamnamesCommand.cc
 * Implementation of the class TrainerGetTeamnamesCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2004/08/27 14:58:23 $
 */


#include "TrainerGetTeamnamesCommand.h"


RS_BEGIN_NAMESPACE


TrainerGetTeamnamesCommand::TrainerGetTeamnamesCommand()
  : TrainerCommand(CMD_TeamNames)
{
}


TrainerGetTeamnamesCommand::~TrainerGetTeamnamesCommand()
{
}


const std::string
TrainerGetTeamnamesCommand::serverString() const
{
  return "(team_names)";
}


TrainerGetTeamnamesCommand*
TrainerGetTeamnamesCommand::clone() const {
  return new TrainerGetTeamnamesCommand(*this);
}


RS_END_NAMESPACE
