/* -*- Mode: C++ -*-
 * $Id: TrainerGetTeamnamesCommand.h,v 1.1 2004/08/27 14:58:23 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: TrainerGetTeamnamesCommand.h
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2004-08-27
 * Last modified by $Author: frehe $ $Date: 2004/08/27 14:58:23 $
 *
 *
 * HISTORY
 *
 * $Log: TrainerGetTeamnamesCommand.h,v $
 * Revision 1.1  2004/08/27 14:58:23  frehe
 * Added support for trainer command (team_names)
 *
 */

/**
 * @file TrainerGetTeamnamesCommand.h
 * Include file for the class TrainerGetTeamnamesCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2004/08/27 14:58:23 $
 */


#ifndef TRAINER_GET_TEAMNAMES_COMMAND_H
#define TRAINER_GET_TEAMNAMES_COMMAND_H


#include "TrainerCommand.h"
#include "soccer_types.h"


RS_BEGIN_NAMESPACE


/**
 * @class TrainerGetTeamnamesCommand TrainerGetTeamnamesCommand.h
 * Class used to represent the trainer command (team_name).
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2004/08/27 14:58:23 $
 */
class TrainerGetTeamnamesCommand : public TrainerCommand {
public:
  /** Create a get teamnames trainer command. */
  TrainerGetTeamnamesCommand();
  

  /** Destructor. */
  ~TrainerGetTeamnamesCommand();

  
  /** Returns the server string that will execute the GetTeamnamesCommand
      at the soccer server. */
  const std::string serverString() const;

  
  /** Returns a new copy of the command.
      REMEMBER TO DELETE IT, OTHERWISE YOU WILL HAVE A MEMORY LEAK!!! */
  TrainerGetTeamnamesCommand* clone() const;
};


RS_END_NAMESPACE


#endif // !TRAINER_GET_TEAMNAMES_COMMAND_H
