/* -*- Mode: C++ -*-
 * $Id: TrainerInitCommand.cc,v 1.1 2003/07/21 08:29:17 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: TrainerInitCommand.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: David Rosen 2003-07-02
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 08:29:17 $
 *
 * HISTORY
 *
 * $Log: TrainerInitCommand.cc,v $
 * Revision 1.1  2003/07/21 08:29:17  s02davro
 * Added new commands (v9, trainer, coach, new command hierarchy)
 *
 *
 */

/**
 * @file TrainerInitCommand.cc
 * Implementation of the class TrainerInitCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:17 $
 */

#include "TrainerInitCommand.h"
#include "string_utils.h"

RS_BEGIN_NAMESPACE

TrainerInitCommand::TrainerInitCommand(const Float ver)
  : TrainerCommand(CMD_TrainerInit),
    version(ver) {}

TrainerInitCommand::~TrainerInitCommand() {
}

const std::string TrainerInitCommand::serverString() const {
  return "(init (version " + toString(version) + "))";
}

TrainerInitCommand* TrainerInitCommand::clone() const {
  return new TrainerInitCommand(*this);
}

RS_END_NAMESPACE
