/* -*- Mode: C++ -*-
 * $Id: TrainerInitCommand.h,v 1.2 2004/08/23 13:24:04 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: TrainerInitCommand.h
 * Unitname: Library
 * $Revision: 1.2 $
 * Created by: David Rosen 2003-07-02
 * Last modified by $Author: frehe $ $Date: 2004/08/23 13:24:04 $
 *
 *
 * HISTORY
 *
 * $Log: TrainerInitCommand.h,v $
 * Revision 1.2  2004/08/23 13:24:04  frehe
 * Fixed comment.
 *
 * Revision 1.1  2003/07/21 08:29:17  s02davro
 * Added new commands (v9, trainer, coach, new command hierarchy)
 *
 *
 */

/**
 * @file TrainerInitCommand.h
 * Include file for the class TrainerInitCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.2 $
 * $Author: frehe $
 * $Date: 2004/08/23 13:24:04 $
 */

#ifndef TRAINERINITCOMMAND_H
#define TRAINERINITCOMMAND_H

#include "TrainerCommand.h"

RS_BEGIN_NAMESPACE

/**
 * @class TrainerInitCommand TrainerInitCommand.h
 * Class used to represent the trainer command
 * (init (version V)).
 *
 * @par Unit:
 *      Library
 * $Revision: 1.2 $
 * $Author: frehe $
 * $Date: 2004/08/23 13:24:04 $
 */
class TrainerInitCommand : public TrainerCommand {
public:
  TrainerInitCommand(const Float vers);
  
  ~TrainerInitCommand();
  
  /** Returns the server string that will execute the InitCommand
      at the soccer server. */
  const std::string serverString() const;
  
  /** Returns a new copy of the command.
      REMEMBER TO DELETE IT, OTHERWISE YOU WILL HAVE A MEMORY LEAK!!! */
  TrainerInitCommand* clone() const;
  
private:
  Float version;
};

RS_END_NAMESPACE

#endif // !TRAINERINITCOMMAND_H
