/* -*- Mode: C++ -*-
 * $Id: TrainerRecoverCommand.cc,v 1.1 2004/08/23 20:45:29 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: TrainerRecoverCommand.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2004-08-23
 * Last modified by $Author: frehe $ $Date: 2004/08/23 20:45:29 $
 *
 * HISTORY
 *
 * $Log: TrainerRecoverCommand.cc,v $
 * Revision 1.1  2004/08/23 20:45:29  frehe
 * Added trainer commands.
 *
 */

/**
 * @file TrainerRecoverCommand.cc
 * Implementation of the class TrainerRecoverCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2004/08/23 20:45:29 $
 */


#include "TrainerRecoverCommand.h"


RS_BEGIN_NAMESPACE


TrainerRecoverCommand::TrainerRecoverCommand()
  : TrainerCommand(CMD_Recover)
{
}


TrainerRecoverCommand::~TrainerRecoverCommand() {
}


const std::string
TrainerRecoverCommand::serverString() const {
  return "(recover)";
}


TrainerRecoverCommand*
TrainerRecoverCommand::clone() const {
  return new TrainerRecoverCommand(*this);
}


RS_END_NAMESPACE
