/* -*- Mode: C++ -*-
 * $Id: TrainerStartCommand.cc,v 1.1 2004/08/23 20:45:30 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: TrainerStartCommand.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2004-08-23
 * Last modified by $Author: frehe $ $Date: 2004/08/23 20:45:30 $
 *
 * HISTORY
 *
 * $Log: TrainerStartCommand.cc,v $
 * Revision 1.1  2004/08/23 20:45:30  frehe
 * Added trainer commands.
 *
 */

/**
 * @file TrainerStartCommand.cc
 * Implementation of the class TrainerStartCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2004/08/23 20:45:30 $
 */


#include "TrainerStartCommand.h"


RS_BEGIN_NAMESPACE


TrainerStartCommand::TrainerStartCommand()
  : TrainerCommand(CMD_Start)
{
}


TrainerStartCommand::~TrainerStartCommand() {
}


const std::string
TrainerStartCommand::serverString() const {
  return "(start)";
}


TrainerStartCommand*
TrainerStartCommand::clone() const {
  return new TrainerStartCommand(*this);
}


RS_END_NAMESPACE
