/* -*- Mode: C++ -*-
 * $Id: TrainerSubstitutionCommand.cc,v 1.1 2003/07/21 08:29:17 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: TrainerSubstitutionCommand.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: David Rosen 2003-06-30
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 08:29:17 $
 *
 *
 * HISTORY
 *
 * $Log: TrainerSubstitutionCommand.cc,v $
 * Revision 1.1  2003/07/21 08:29:17  s02davro
 * Added new commands (v9, trainer, coach, new command hierarchy)
 *
 * Revision 1.1  2001/11/15 16:48:31  frehe
 * Added a clangVersion command.
 *
 */

/**
 * @file TrainerSubstitutionCommand.cc
 * Implementation of the class TrainerSubstitutionCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2003/07/21 08:29:17 $
 */

#include "TrainerSubstitutionCommand.h"
#include "string_utils.h"

RS_BEGIN_NAMESPACE
TrainerSubstitutionCommand::TrainerSubstitutionCommand(const std::string def_team_name,
						       UInt def_number, 
						       UInt def_type)
  : TrainerCommand(CMD_TrainerSubstitution),
    team_name(def_team_name),
    number(def_number),
    type(def_type) {}

TrainerSubstitutionCommand::~TrainerSubstitutionCommand() {}

const std::string TrainerSubstitutionCommand::serverString() const {
  return "(change_player_type " + team_name + " " + 
    toString(number) + " " + toString(type) + ")";
}

TrainerSubstitutionCommand* TrainerSubstitutionCommand::clone() const {
  return new TrainerSubstitutionCommand(*this);
}


RS_END_NAMESPACE
