/* -*- Mode: C++ -*-
 * $Id: TurnCommand.cc,v 1.3 2003/07/21 09:20:17 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: TurnCommand.cc
 * Unitname: Library
 * $Revision: 1.3 $
 * Created by: Fredrik Heintz 2000-xx-xx
 * Last modified by $Author: s02davro $ $Date: 2003/07/21 09:20:17 $
 *
 *
 * HISTORY
 *
 * $Log: TurnCommand.cc,v $
 * Revision 1.3  2003/07/21 09:20:17  s02davro
 * Changed and updated the command hierarchy
 *
 * Revision 1.2  2000/09/09 11:49:55  frehe
 * Added a new level in the command hieararchy, namely ImmediateCommand and PeriodicCommand.
 *
 * Revision 1.1  2000/09/02 14:16:29  frehe
 * Imported the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file TurnCommand.cc
 * Implementation of the class TurnCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.3 $
 * $Author: s02davro $
 * $Date: 2003/07/21 09:20:17 $
 */

#include "TurnCommand.h"
#include "string_utils.h"

RS_BEGIN_NAMESPACE

TurnCommand::TurnCommand(const AngleDeg& ang)
  : PeriodicCommand(CMD_Turn),
    angle(ang) {
}

TurnCommand::~TurnCommand(){
}

const std::string TurnCommand::serverString() const {
  return "(turn " + toString(angle.getDeg()) + ")";
}

TurnCommand* TurnCommand::clone() const {
  return new TurnCommand(*this);
}

AngleDeg TurnCommand::getAngle() const {
  return angle;
}

RS_END_NAMESPACE
