/* -*- Mode: C++ -*-
 * $Id: library_types_with_error.h,v 1.1 2002/08/02 21:38:32 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: library_types_with_error.h
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: David Rosn 2002-06-19
 * Last modified by $Author: s02davro $ $Date: 2002/08/02 21:38:32 $
 *
 *
 * HISTORY
 *
 * $Log: library_types_with_error.h,v $
 * Revision 1.1  2002/08/02 21:38:32  s02davro
 * Created the file to define types with error.
 *
 */

/**
 * @file library_types_with_error.h
 * Include file with the types that can be unknown that is used by
 * the RoboSoc library and based on the library types.
 *
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2002/08/02 21:38:32 $
 */

#ifndef LIBRARY_TYPES_WITH_ERROR_H
#define LIBRARY_TYPES_WITH_ERROR_H

#include "library_types.h"
#include "WithError.h"
#include "AngleDegreesError.h"

RS_BEGIN_NAMESPACE

typedef WithError<Int> IntError;
typedef WithError<UInt> UIntError;
typedef WithError<Float> FloatError;

typedef AngleDegreesError<Float> AngleDegError;

RS_END_NAMESPACE


#endif // !LIBRARY_TYPES_WITH_ERROR_H
