/* -*- Mode: C++ -*-
 * $Id: library_types_with_ue.h,v 1.1 2002/08/02 21:39:04 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: library_types_with_ue.h
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: David Rosn 2002-06-19
 * Last modified by $Author: s02davro $ $Date: 2002/08/02 21:39:04 $
 *
 *
 * HISTORY
 *
 * $Log: library_types_with_ue.h,v $
 * Revision 1.1  2002/08/02 21:39:04  s02davro
 * Created the file to define types with error and unknown, use of WithUE.
 *
 */

/**
 * @file library_types_with_ue.h
 * Include file with the types that can be unknown that is used by
 * the RoboSoc library and based on the library types.
 *
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: s02davro $
 * $Date: 2002/08/02 21:39:04 $
 */

#ifndef LIBRARY_TYPES_WITH_UE_H
#define LIBRARY_TYPES_WITH_UE_H

#include "library_types.h"
#include "library_types_with_unknown.h"
#include "library_types_with_error.h"
#include "WithUE.h"
#include "AngleDegreesUE.h"
#include "CoordVectorUE.h"
#include "CoordPointUE.h"

RS_BEGIN_NAMESPACE

typedef WithUE<Int> IntUE;
typedef WithUE<UInt> UIntUE;
typedef WithUE<Float> FloatUE;

typedef AngleDegreesUE<Float> AngleDegUE;

typedef CoordPointUE<Float> PointUE;

typedef CoordVectorUE<Float> VectorUE;


RS_END_NAMESPACE


#endif // !LIBRARY_TYPES_WITH_UE_H
