/**
 * @file PredicateDependencies.h
 *
 * This file will be used to keep track
 * of the current dependencies between the predicates
 * in the RoboSoc system.
 *
 */


/** Base class for all predicates. */
class Predicate {};


/** Base class for all predicates taking arguments. */
class PredicateWithArguments : public Predicate {};


/** Base class for all predicates taking a position as argument. */
class PredicateWithPosition : public PredicateWithArguments {};


/** Base class for all predicates taking a vector as argument. */
class PredicateWithVector : public PredicateWithArguments {};


/** Class for check if the agent know where the ball is */
class IsBallKnown : public Predicate {};
