/**
 * @file ViewDependencies.h
 *
 * This file will be used to keep track
 * of the current dependencies between the views
 * in the RoboSoc system.
 *
 */


/** Base class for all views. */
class View {};


/** View used to represent the current game, the time and score. */
class GameView : public View {
};


/** View used to store information about the agent. */
class AgentView : public View {
  GameView* gameView;
};  


/** View used to store information about the ball. */
class BallView : public View {
  AgentView* agentView;
};  


/** View used to store information about the other players on the field. */
class PlayerView : public View {
  AgentView* agentView;
}  
